/*
This file is part of web2w.
Copyright 2017 Martin Ruckert

web2w is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

web2w is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with web2w.  If not, see <http://www.gnu.org/licenses/>.
 
Martin Ruckert, Hochschule Muenchen, Lothstrasse 64, 80336 Muenchen
*/
#line 2 "web.lex.c"

#line 4 "web.lex.c"

#define  YY_INT_ALIGNED short int

/* A lexical scanner generated by flex */

/* %not-for-header */

/* %if-c-only */
/* %if-not-reentrant */
#define yy_create_buffer ww__create_buffer
#define yy_delete_buffer ww__delete_buffer
#define yy_flex_debug ww__flex_debug
#define yy_init_buffer ww__init_buffer
#define yy_flush_buffer ww__flush_buffer
#define yy_load_buffer_state ww__load_buffer_state
#define yy_switch_to_buffer ww__switch_to_buffer
#define yyin ww_in
#define yyleng ww_leng
#define yylex ww_lex
#define yylineno ww_lineno
#define yyout ww_out
#define yyrestart ww_restart
#define yytext ww_text
#define yywrap ww_wrap
#define yyalloc ww_alloc
#define yyrealloc ww_realloc
#define yyfree ww_free

/* %endif */
/* %endif */
/* %ok-for-header */

#define FLEX_SCANNER
#define YY_FLEX_MAJOR_VERSION 2
#define YY_FLEX_MINOR_VERSION 5
#define YY_FLEX_SUBMINOR_VERSION 37
#if YY_FLEX_SUBMINOR_VERSION > 0
#define FLEX_BETA
#endif

/* %if-c++-only */
/* %endif */

/* %if-c-only */
    
/* %endif */

/* %if-c-only */

/* %endif */

/* First, we deal with  platform-specific or compiler-specific issues. */

/* begin standard C headers. */
/* %if-c-only */
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <stdlib.h>
/* %endif */

/* %if-tables-serialization */
/* %endif */
/* end standard C headers. */

/* %if-c-or-c++ */
/* flex integer type definitions */

#ifndef FLEXINT_H
#define FLEXINT_H

/* C99 systems have <inttypes.h>. Non-C99 systems may or may not. */

#if defined (__STDC_VERSION__) && __STDC_VERSION__ >= 199901L

/* C99 says to define __STDC_LIMIT_MACROS before including stdint.h,
 * if you want the limit (max/min) macros for int types. 
 */
#ifndef __STDC_LIMIT_MACROS
#define __STDC_LIMIT_MACROS 1
#endif

#include <inttypes.h>
typedef int8_t flex_int8_t;
typedef uint8_t flex_uint8_t;
typedef int16_t flex_int16_t;
typedef uint16_t flex_uint16_t;
typedef int32_t flex_int32_t;
typedef uint32_t flex_uint32_t;
#else
typedef signed char flex_int8_t;
typedef short int flex_int16_t;
typedef int flex_int32_t;
typedef unsigned char flex_uint8_t; 
typedef unsigned short int flex_uint16_t;
typedef unsigned int flex_uint32_t;

/* Limits of integral types. */
#ifndef INT8_MIN
#define INT8_MIN               (-128)
#endif
#ifndef INT16_MIN
#define INT16_MIN              (-32767-1)
#endif
#ifndef INT32_MIN
#define INT32_MIN              (-2147483647-1)
#endif
#ifndef INT8_MAX
#define INT8_MAX               (127)
#endif
#ifndef INT16_MAX
#define INT16_MAX              (32767)
#endif
#ifndef INT32_MAX
#define INT32_MAX              (2147483647)
#endif
#ifndef UINT8_MAX
#define UINT8_MAX              (255U)
#endif
#ifndef UINT16_MAX
#define UINT16_MAX             (65535U)
#endif
#ifndef UINT32_MAX
#define UINT32_MAX             (4294967295U)
#endif

#endif /* ! C99 */

#endif /* ! FLEXINT_H */

/* %endif */

/* %if-c++-only */
/* %endif */

#ifdef __cplusplus

/* The "const" storage-class-modifier is valid. */
#define YY_USE_CONST

#else	/* ! __cplusplus */

/* C99 requires __STDC__ to be defined as 1. */
#if defined (__STDC__)

#define YY_USE_CONST

#endif	/* defined (__STDC__) */
#endif	/* ! __cplusplus */

#ifdef YY_USE_CONST
#define yyconst const
#else
#define yyconst
#endif

/* %not-for-header */

/* Returned upon end-of-file. */
#define YY_NULL 0
/* %ok-for-header */

/* %not-for-header */

/* Promotes a possibly negative, possibly signed char to an unsigned
 * integer for use as an array index.  If the signed char is negative,
 * we want to instead treat it as an 8-bit unsigned char, hence the
 * double cast.
 */
#define YY_SC_TO_UI(c) ((unsigned int) (unsigned char) c)
/* %ok-for-header */

/* %if-reentrant */
/* %endif */

/* %if-not-reentrant */

/* %endif */

/* Enter a start condition.  This macro really ought to take a parameter,
 * but we do it the disgusting crufty way forced on us by the ()-less
 * definition of BEGIN.
 */
#define BEGIN (yy_start) = 1 + 2 *

/* Translate the current start state into a value that can be later handed
 * to BEGIN to return to the state.  The YYSTATE alias is for lex
 * compatibility.
 */
#define YY_START (((yy_start) - 1) / 2)
#define YYSTATE YY_START

/* Action number for EOF rule of a given start state. */
#define YY_STATE_EOF(state) (YY_END_OF_BUFFER + state + 1)

/* Special action meaning "start processing a new file". */
#define YY_NEW_FILE ww_restart(ww_in  )

#define YY_END_OF_BUFFER_CHAR 0

/* Size of default input buffer. */
#ifndef YY_BUF_SIZE
#define YY_BUF_SIZE 16384
#endif

/* The state buf must be large enough to hold one state per character in the main buffer.
 */
#define YY_STATE_BUF_SIZE   ((YY_BUF_SIZE + 2) * sizeof(yy_state_type))

#ifndef YY_TYPEDEF_YY_BUFFER_STATE
#define YY_TYPEDEF_YY_BUFFER_STATE
typedef struct yy_buffer_state *YY_BUFFER_STATE;
#endif

#ifndef YY_TYPEDEF_YY_SIZE_T
#define YY_TYPEDEF_YY_SIZE_T
typedef size_t yy_size_t;
#endif

/* %if-not-reentrant */
extern yy_size_t ww_leng;
/* %endif */

/* %if-c-only */
/* %if-not-reentrant */
extern FILE *ww_in, *ww_out;
/* %endif */
/* %endif */

#define EOB_ACT_CONTINUE_SCAN 0
#define EOB_ACT_END_OF_FILE 1
#define EOB_ACT_LAST_MATCH 2

    /* Note: We specifically omit the test for yy_rule_can_match_eol because it requires
     *       access to the local variable yy_act. Since yyless() is a macro, it would break
     *       existing scanners that call yyless() from OUTSIDE ww_lex. 
     *       One obvious solution it to make yy_act a global. I tried that, and saw
     *       a 5% performance hit in a non-ww_lineno scanner, because yy_act is
     *       normally declared as a register variable-- so it is not worth it.
     */
    #define  YY_LESS_LINENO(n) \
            do { \
                int yyl;\
                for ( yyl = n; yyl < ww_leng; ++yyl )\
                    if ( ww_text[yyl] == '\n' )\
                        --ww_lineno;\
            }while(0)
    
/* Return all but the first "n" matched characters back to the input stream. */
#define yyless(n) \
	do \
		{ \
		/* Undo effects of setting up ww_text. */ \
        int yyless_macro_arg = (n); \
        YY_LESS_LINENO(yyless_macro_arg);\
		*yy_cp = (yy_hold_char); \
		YY_RESTORE_YY_MORE_OFFSET \
		(yy_c_buf_p) = yy_cp = yy_bp + yyless_macro_arg - YY_MORE_ADJ; \
		YY_DO_BEFORE_ACTION; /* set up ww_text again */ \
		} \
	while ( 0 )

#define unput(c) yyunput( c, (yytext_ptr)  )

#ifndef YY_STRUCT_YY_BUFFER_STATE
#define YY_STRUCT_YY_BUFFER_STATE
struct yy_buffer_state
	{
/* %if-c-only */
	FILE *yy_input_file;
/* %endif */

/* %if-c++-only */
/* %endif */

	char *yy_ch_buf;		/* input buffer */
	char *yy_buf_pos;		/* current position in input buffer */

	/* Size of input buffer in bytes, not including room for EOB
	 * characters.
	 */
	yy_size_t yy_buf_size;

	/* Number of characters read into yy_ch_buf, not including EOB
	 * characters.
	 */
	yy_size_t yy_n_chars;

	/* Whether we "own" the buffer - i.e., we know we created it,
	 * and can realloc() it to grow it, and should free() it to
	 * delete it.
	 */
	int yy_is_our_buffer;

	/* Whether this is an "interactive" input source; if so, and
	 * if we're using stdio for input, then we want to use getc()
	 * instead of fread(), to make sure we stop fetching input after
	 * each newline.
	 */
	int yy_is_interactive;

	/* Whether we're considered to be at the beginning of a line.
	 * If so, '^' rules will be active on the next match, otherwise
	 * not.
	 */
	int yy_at_bol;

    int yy_bs_lineno; /**< The line count. */
    int yy_bs_column; /**< The column count. */
    
	/* Whether to try to fill the input buffer when we reach the
	 * end of it.
	 */
	int yy_fill_buffer;

	int yy_buffer_status;

#define YY_BUFFER_NEW 0
#define YY_BUFFER_NORMAL 1
	/* When an EOF's been seen but there's still some text to process
	 * then we mark the buffer as YY_EOF_PENDING, to indicate that we
	 * shouldn't try reading from the input source any more.  We might
	 * still have a bunch of tokens to match, though, because of
	 * possible backing-up.
	 *
	 * When we actually see the EOF, we change the status to "new"
	 * (via ww_restart()), so that the user can continue scanning by
	 * just pointing ww_in at a new input file.
	 */
#define YY_BUFFER_EOF_PENDING 2

	};
#endif /* !YY_STRUCT_YY_BUFFER_STATE */

/* %if-c-only Standard (non-C++) definition */
/* %not-for-header */

/* %if-not-reentrant */

/* Stack of input buffers. */
static size_t yy_buffer_stack_top = 0; /**< index of top of stack. */
static size_t yy_buffer_stack_max = 0; /**< capacity of stack. */
static YY_BUFFER_STATE * yy_buffer_stack = 0; /**< Stack as an array. */
/* %endif */
/* %ok-for-header */

/* %endif */

/* We provide macros for accessing buffer states in case in the
 * future we want to put the buffer states in a more general
 * "scanner state".
 *
 * Returns the top of the stack, or NULL.
 */
#define YY_CURRENT_BUFFER ( (yy_buffer_stack) \
                          ? (yy_buffer_stack)[(yy_buffer_stack_top)] \
                          : NULL)

/* Same as previous macro, but useful when we know that the buffer stack is not
 * NULL or when we need an lvalue. For internal use only.
 */
#define YY_CURRENT_BUFFER_LVALUE (yy_buffer_stack)[(yy_buffer_stack_top)]

/* %if-c-only Standard (non-C++) definition */

/* %if-not-reentrant */
/* %not-for-header */

/* yy_hold_char holds the character lost when ww_text is formed. */
static char yy_hold_char;
static yy_size_t yy_n_chars;		/* number of characters read into yy_ch_buf */
yy_size_t ww_leng;

/* Points to current character in buffer. */
static char *yy_c_buf_p = (char *) 0;
static int yy_init = 0;		/* whether we need to initialize */
static int yy_start = 0;	/* start state number */

/* Flag which is used to allow ww_wrap()'s to do buffer switches
 * instead of setting up a fresh ww_in.  A bit of a hack ...
 */
static int yy_did_buffer_switch_on_eof;
/* %ok-for-header */

/* %endif */

void ww_restart (FILE *input_file  );
void ww__switch_to_buffer (YY_BUFFER_STATE new_buffer  );
YY_BUFFER_STATE ww__create_buffer (FILE *file,int size  );
void ww__delete_buffer (YY_BUFFER_STATE b  );
void ww__flush_buffer (YY_BUFFER_STATE b  );
void ww_push_buffer_state (YY_BUFFER_STATE new_buffer  );
void ww_pop_buffer_state (void );

static void ww_ensure_buffer_stack (void );
static void ww__load_buffer_state (void );
static void ww__init_buffer (YY_BUFFER_STATE b,FILE *file  );

#define YY_FLUSH_BUFFER ww__flush_buffer(YY_CURRENT_BUFFER )

YY_BUFFER_STATE ww__scan_buffer (char *base,yy_size_t size  );
YY_BUFFER_STATE ww__scan_string (yyconst char *yy_str  );
YY_BUFFER_STATE ww__scan_bytes (yyconst char *bytes,yy_size_t len  );

/* %endif */

void *ww_alloc (yy_size_t  );
void *ww_realloc (void *,yy_size_t  );
void ww_free (void *  );

#define yy_new_buffer ww__create_buffer

#define yy_set_interactive(is_interactive) \
	{ \
	if ( ! YY_CURRENT_BUFFER ){ \
        ww_ensure_buffer_stack (); \
		YY_CURRENT_BUFFER_LVALUE =    \
            ww__create_buffer(ww_in,YY_BUF_SIZE ); \
	} \
	YY_CURRENT_BUFFER_LVALUE->yy_is_interactive = is_interactive; \
	}

#define yy_set_bol(at_bol) \
	{ \
	if ( ! YY_CURRENT_BUFFER ){\
        ww_ensure_buffer_stack (); \
		YY_CURRENT_BUFFER_LVALUE =    \
            ww__create_buffer(ww_in,YY_BUF_SIZE ); \
	} \
	YY_CURRENT_BUFFER_LVALUE->yy_at_bol = at_bol; \
	}

#define YY_AT_BOL() (YY_CURRENT_BUFFER_LVALUE->yy_at_bol)

/* %% [1.0] ww_text/ww_in/ww_out/yy_state_type/ww_lineno etc. def's & init go here */
/* Begin user sect3 */

#define ww_wrap() 1
#define YY_SKIP_YYWRAP

#define FLEX_DEBUG

typedef unsigned char YY_CHAR;

FILE *ww_in = (FILE *) 0, *ww_out = (FILE *) 0;

typedef int yy_state_type;

extern int ww_lineno;

int ww_lineno = 1;

extern char *ww_text;
#define yytext_ptr ww_text

/* %if-c-only Standard (non-C++) definition */

static yy_state_type yy_get_previous_state (void );
static yy_state_type yy_try_NUL_trans (yy_state_type current_state  );
static int yy_get_next_buffer (void );
static void yy_fatal_error (yyconst char msg[]  );

/* %endif */

/* Done after the current pattern has been matched and before the
 * corresponding action - sets up ww_text.
 */
#define YY_DO_BEFORE_ACTION \
	(yytext_ptr) = yy_bp; \
/* %% [2.0] code to fiddle ww_text and ww_leng for yymore() goes here \ */\
	ww_leng = (size_t) (yy_cp - yy_bp); \
	(yy_hold_char) = *yy_cp; \
	*yy_cp = '\0'; \
/* %% [3.0] code to copy yytext_ptr to ww_text[] goes here, if %array \ */\
	(yy_c_buf_p) = yy_cp;

/* %% [4.0] data tables for the DFA and the user's section 1 definitions go here */
#define YY_NUM_RULES 169
#define YY_END_OF_BUFFER 170
/* This struct is not used in this scanner,
   but its presence is necessary. */
struct yy_trans_info
	{
	flex_int32_t yy_verify;
	flex_int32_t yy_nxt;
	};
static yyconst flex_int16_t yy_accept[413] =
    {   0,
       20,   20,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,  170,   20,   18,   23,   24,   24,
       22,    7,    9,    8,  168,  167,   72,  168,   71,  168,
       69,   70,   91,   89,  103,   90,  101,   92,  164,  105,
      104,   94,   88,   95,  168,  159,   98,   99,  106,  159,
      159,  159,  159,  159,  159,  159,  159,  159,  159,  159,
      159,  159,  159,  159,  159,  159,  159,  159,   60,   65,
       68,  166,  168,   38,   43,   43,  168,   41,   39,   50,
       49,  168,   46,   46,   46,   48,   56,   55,   55,   55,
       56,   56,   31,   29,   30,   31,   28,   20,   23,    1,

       15,    0,    0,    2,   13,   14,    6,   16,   17,    3,
        4,    5,   12,   21,   19,    0,  161,    0,  163,    0,
      102,    0,  164,    0,  100,   96,   93,   97,   57,   63,
        0,   85,   76,   80,    0,   58,   86,   82,   74,   83,
       75,   87,   59,   67,   64,   81,   73,   66,   77,   84,
       78,  159,  159,  159,  159,  159,  159,  159,  159,  159,
      159,  125,  159,  159,  159,  159,  159,  159,  159,  115,
      111,  159,  159,  159,  159,  159,  119,  112,  159,  159,
      159,  159,  159,  159,    0,  159,  159,  159,  127,  159,
      159,  159,  159,  166,   32,   33,   37,   34,   35,   36,

        0,   42,   39,   47,   46,   46,   46,   55,   55,    0,
        0,    0,   51,   25,    0,   27,    1,   11,   10,    2,
        0,    6,    0,  160,    0,  162,  165,    0,  165,   57,
       62,   61,   58,    0,   59,    0,    0,  113,  159,  159,
      159,  159,  159,  159,  159,  109,  159,  159,  130,  159,
      159,  126,  159,  159,  159,  159,  159,  159,  108,  159,
      110,  114,  159,  159,  159,  159,  159,  159,  159,  137,
      159,    0,  159,  159,  159,  159,  134,  159,  159,   32,
       33,    0,   37,   40,   46,   45,    0,    0,   53,    0,
        0,  161,  163,    0,    0,   79,  159,  159,  159,  118,

      144,  159,  159,  159,  117,  159,  138,  159,  159,  159,
      132,  159,  157,  159,  159,  159,  159,  159,  159,  159,
      146,  159,  159,  159,  155,    0,  156,  116,  158,  159,
      159,  131,    0,   46,    0,    0,   26,    0,    0,  165,
        0,  135,  129,  159,  133,  153,  159,  159,  159,  159,
      159,  154,  159,  141,  150,  159,  159,  159,  159,  159,
      159,  159,    0,  123,  124,    0,   44,   52,    2,   58,
      159,  128,  159,  159,  159,  159,  159,  159,  120,  142,
      159,  159,  136,  122,  152,    0,   33,    0,   54,  147,
      159,  159,  121,  159,  145,  159,  159,  143,    0,  148,

      159,  139,  159,  159,    0,  151,  159,  140,    0,  149,
      107,    0
    } ;

static yyconst flex_int32_t yy_ec[256] =
    {   0,
        1,    1,    1,    1,    1,    1,    1,    1,    2,    3,
        4,    4,    4,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    2,    5,    6,    7,    8,    9,   10,   11,   12,
       13,   14,   15,   16,   17,   18,   19,   20,   20,   20,
       20,   20,   20,   20,   20,   21,   21,   22,   23,   24,
       25,   26,   27,   28,   29,   30,   30,   31,   32,   33,
       34,   34,   34,   34,   34,   34,   34,   34,   34,   35,
       34,   34,   34,   36,   34,   34,   34,   34,   34,   34,
       37,   38,   39,   40,   41,    1,   42,   43,   44,   45,

       46,   47,   48,   49,   50,   51,   52,   53,   54,   55,
       56,   57,   51,   58,   59,   60,   61,   62,   63,   51,
       64,   51,   65,   66,   67,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,

        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1
    } ;

static yyconst flex_int32_t yy_meta[68] =
    {   0,
        1,    1,    2,    1,    1,    1,    1,    1,    3,    1,
        1,    1,    1,    1,    1,    1,    1,    3,    1,    4,
        4,    1,    1,    1,    1,    1,    1,    3,    5,    5,
        5,    5,    5,    6,    6,    6,    1,    3,    1,    1,
        6,    4,    4,    4,    4,    4,    4,    7,    7,    7,
        7,    7,    7,    7,    7,    7,    7,    7,    7,    7,
        7,    7,    7,    7,    3,    3,    3
    } ;

static yyconst flex_int16_t yy_base[431] =
    {   0,
        0,    3,   70,  717,  110,  137,  202,    0,  269,    0,
       11,   22,    4,    5,  718,    0,  720,    0,  720,  335,
      131,  720,  720,  720,  720,  720,  720,  711,  720,    6,
      720,  720,  720,  720,  720,  720,  698,  720,   31,  690,
      720,   10,  720,  689,  391,    0,  720,  720,  720,    0,
        1,   99,   96,    1,    3,   88,   96,  671,   94,   97,
      110,    2,  666,    2,  132,  656,  668,  112,  720,  720,
      720,  707,  457,  720,  720,  720,  701,  682,    0,  720,
      720,  681,    0,  659,  649,  720,  720,  417,  169,  174,
      685,  676,  720,  720,  675,  138,  720,    0,    0,  698,

      720,    0,  679,  154,  720,  720,  696,  720,  720,  720,
      720,  720,  720,  720,  720,  691,  690,  684,  683,    9,
      720,    2,  169,  327,  720,  720,  720,  720,  691,  720,
        0,  720,  720,  720,  672,  161,  720,  720,  720,  720,
      720,  720,  689,  720,  720,  720,  720,  720,  662,  720,
      720,    0,  644,  630,  639,  630,  626,  642,  628,  639,
      619,  617,  620,  633,  111,  619,  621,  615,  631,    0,
      133,  630,  627,  607,  617,  609,    0,    0,  619,  623,
      610,  301,  605,  622,  653,  602,  615,  605,    0,  599,
      600,  607,  596,  653,  652,  348,  651,  720,  720,  720,

      639,  720,    0,  720,    0,  603,  605,  420,  182,  631,
      622,  629,    2,  720,  610,  720,  643,    0,  624,  349,
      606,  640,  635,  634,  628,  627,  335,  174,  344,  635,
        0,  616,  350,  598,  632,  605,  341,    0,  590,  581,
      577,  583,  570,  568,  565,    0,  570,  578,  579,  576,
      579,  557,  575,  562,  571,  556,  569,  568,    0,  556,
        0,    0,  565,  558,  328,  554,  550,  557,  541,    0,
      535,  522,  520,  503,  501,  494,    0,  485,  488,  511,
      352,  475,  509,  720,  460,    0,  372,  358,  720,  504,
        0,  502,  496,  364,    0,  478,  441,  448,  455,    0,

        0,  440,  451,  438,    0,  455,    0,  443,  453,  434,
        0,  448,    0,  443,  436,  441,  428,  439,  438,  425,
        0,  424,  438,  421,    0,  450,    0,    0,    0,  424,
      430,    0,    0,  420,  375,  448,  720,  434,  391,  405,
      433,    0,    0,  428,    0,    0,  413,  409,  426,  408,
      415,    0,  418,    0,    0,  345,  418,  417,  413,  409,
      393,  397,  439,    0,    0,  408,    0,  415,  720,  720,
      391,    0,  398,  397,  397,  385,  381,  395,    0,    0,
      375,  380,    0,    0,    0,  376,  720,  425,  720,    0,
      373,  375,    0,  373,    0,  332,  320,    0,  345,    0,

      326,    0,  154,  145,  170,    0,   86,    0,   15,    0,
      720,  720,  514,  521,  528,  535,  542,  549,  556,  560,
      564,  568,  572,  577,  584,  588,  593,  597,  601,  605
    } ;

static yyconst flex_int16_t yy_def[431] =
    {   0,
      413,  413,  412,    3,    3,    3,  412,    7,  412,    9,
      414,  414,  415,  415,  412,  416,  412,  417,  412,  412,
      412,  412,  412,  412,  412,  412,  412,  418,  412,  419,
      412,  412,  412,  412,  412,  412,  412,  412,  412,  412,
      412,  412,  412,  412,  412,  420,  412,  412,  412,  420,
      420,  420,  420,  420,  420,  420,  420,  420,  420,  420,
      420,  420,  420,  420,  420,  420,  420,  420,  412,  412,
      412,  412,   45,  412,  412,  412,  412,  412,  421,  412,
      412,  412,  422,  422,  422,  412,  412,  412,  412,  412,
      412,  412,  412,  412,  412,  412,  412,  416,  417,  412,

      412,  423,  412,  412,  412,  412,  412,  412,  412,  412,
      412,  412,  412,  412,  412,  424,  412,  425,  412,  425,
      412,  412,  412,  412,  412,  412,  412,  412,  412,  412,
      426,  412,  412,  412,  412,  412,  412,  412,  412,  412,
      412,  412,  412,  412,  412,  412,  412,  412,  427,  412,
      412,  420,  420,  420,  420,  420,  420,  420,  420,  420,
      420,  420,  420,  420,  420,  420,  420,  420,  420,  420,
      420,  420,  420,  420,  420,  420,  420,  420,  420,  420,
      420,  420,  420,  420,  412,  420,  420,  420,  420,  420,
      420,  420,  420,  412,  412,  412,  412,  412,  412,  412,

      412,  412,  421,  412,  422,  422,  422,  412,  412,  412,
      412,  412,  412,  412,  412,  412,  412,  423,  412,  412,
      412,  412,  424,  412,  425,  412,  412,  412,  412,  412,
      426,  412,  412,  412,  412,  427,  427,  420,  420,  420,
      420,  420,  420,  420,  420,  420,  420,  420,  420,  420,
      420,  420,  420,  420,  420,  420,  420,  420,  420,  420,
      420,  420,  420,  420,  420,  420,  420,  420,  420,  420,
      420,  412,  420,  420,  420,  420,  420,  420,  420,  412,
      412,  412,  412,  412,  422,  422,  412,  412,  412,  412,
      428,  412,  412,  412,  429,  427,  420,  420,  420,  420,

      420,  420,  420,  420,  420,  420,  420,  420,  420,  420,
      420,  420,  420,  420,  420,  420,  420,  420,  420,  420,
      420,  420,  420,  420,  420,  412,  420,  420,  420,  420,
      420,  420,  430,  422,  412,  412,  412,  428,  412,  412,
      429,  420,  420,  420,  420,  420,  420,  420,  420,  420,
      420,  420,  420,  420,  420,  420,  420,  420,  420,  420,
      420,  420,  412,  420,  420,  430,  422,  412,  412,  412,
      420,  420,  420,  420,  420,  420,  420,  420,  420,  420,
      420,  420,  420,  420,  420,  412,  412,  412,  412,  420,
      420,  420,  420,  420,  420,  420,  420,  420,  412,  420,

      420,  420,  420,  420,  412,  420,  420,  420,  412,  420,
      412,    0,  412,  412,  412,  412,  412,  412,  412,  412,
      412,  412,  412,  412,  412,  412,  412,  412,  412,  412
    } ;

static yyconst flex_int16_t yy_nxt[788] =
    {   0,
      412,  412,   17,  288,  412,   17,   94,   94,   18,  412,
      412,   18,   88,   89,   90,  412,  119,   19,  412,  226,
       19,  227,  227,   88,   89,   90,  289,   20,   91,  412,
       20,   95,   95,  120,  126,  127,  118,   21,   92,   91,
       21,   96,   96,  180,   97,   97,  155,  183,  122,   92,
      123,  123,  165,  163,  153,  164,  156,  154,  166,  181,
      411,  184,  124,  167,   22,   23,   24,   22,   23,   24,
       25,   26,   27,   25,   25,   28,   29,   25,   25,   25,
       30,   31,   32,   33,   34,   35,   36,   37,   38,   39,
       39,   40,   41,   42,   43,   44,   25,   45,   46,   46,

       46,   46,   46,   46,   46,   46,   47,   25,   48,   49,
       46,   50,   51,   52,   53,   54,   55,   56,   46,   57,
       46,   46,   58,   59,   60,   61,   62,   63,   64,   65,
       66,   67,   68,   46,   69,   70,   71,   73,   72,  114,
      157,  160,  170,  168,  410,  161,  175,  158,  169,  173,
      171,  162,  176,  174,  159,  220,  177,  115,  114,  185,
      192,  193,  233,  250,   73,  251,  215,  178,  114,  179,
      209,  209,  209,  186,   74,  209,  209,  209,  216,  409,
      187,  188,  256,  209,  209,  209,  122,  189,  123,  123,
      408,  221,  257,  229,  229,  114,  114,  114,  234,  407,

      124,   74,   25,   75,   76,   75,   25,   25,   25,   25,
       25,   25,   25,   77,   25,   25,   25,   25,   25,   25,
       25,   25,   25,   25,   25,   25,   78,   25,   25,   25,
       79,   79,   79,   79,   79,   79,   79,   79,   25,   25,
       25,   25,   79,   79,   79,   79,   79,   79,   79,   79,
       79,   79,   79,   79,   79,   79,   79,   79,   79,   79,
       79,   79,   79,   79,   79,   79,   25,   25,   25,   25,
       80,   81,   80,   25,   25,   25,   25,   25,   25,   25,
       25,   25,   25,   25,   25,   25,   25,   25,   25,   25,
       25,   25,   25,   82,   25,   25,   25,   83,   83,   83,

       83,   83,   83,   83,   83,   25,   25,   25,   25,   83,
       83,   84,   83,   83,   85,   83,   83,   83,   83,   83,
       83,   83,   83,   83,   83,   83,   83,   83,   83,   83,
       83,   83,   83,   86,   25,   25,  100,  100,  100,  101,
      102,  228,  266,  228,  267,  103,  229,  229,  104,  281,
      220,  233,  105,  281,  227,  227,  106,  268,  107,  288,
      269,  108,  109,  229,  229,  110,  294,  111,  237,  112,
      406,  319,  405,  335,  113,  320,  335,  404,  339,  110,
      339,  111,  289,  340,  340,  282,  221,  234,  378,  282,
      403,  112,  129,  129,  129,  130,  131,  132,  133,  336,

      134,  135,  336,  379,  136,  137,  138,  296,  139,  140,
      340,  340,  141,  142,  143,  144,  388,  145,  208,  209,
      209,  208,  209,  209,  340,  340,  388,  402,  146,  401,
      147,  400,  399,  398,  210,  397,  396,  210,  395,  389,
      394,  393,  392,  391,  211,  390,  387,  211,  386,  389,
      148,  385,  384,  383,  382,  149,  150,  151,  195,  195,
      195,  381,  380,  377,  376,  375,  374,  373,  372,  371,
      196,  370,  369,  368,  367,  365,  364,  363,  362,  361,
      197,  360,  359,  358,  357,  356,  355,  198,  354,  199,
      353,  200,  352,  351,  350,  349,  348,  347,  346,  345,

      344,  198,  343,  199,  342,  237,  225,  223,  337,  334,
      283,  333,  280,  200,   16,   16,   16,   16,   16,   16,
       16,   87,   87,   87,   87,   87,   87,   87,   93,   93,
       93,   93,   93,   93,   93,   98,  332,  331,   98,   98,
       98,   98,   99,  330,   99,   99,   99,   99,   99,  116,
      329,  116,  116,  116,  116,  116,  118,  328,  118,  118,
      118,  118,  118,  152,  152,  152,  152,  203,  203,  203,
      203,  205,  205,  205,  205,  218,  218,  223,  327,  223,
      223,  223,  223,  223,  225,  326,  225,  225,  225,  225,
      225,  231,  231,  236,  325,  236,  236,  236,  236,  236,

      338,  324,  323,  338,  341,  322,  321,  341,  366,  318,
      317,  366,  316,  315,  314,  313,  312,  311,  310,  309,
      308,  307,  306,  305,  304,  303,  302,  301,  300,  299,
      298,  297,  237,  235,  295,  232,  230,  225,  293,  223,
      292,  222,  291,  219,  217,  290,  287,  213,  212,  286,
      285,  284,  283,  280,  194,  279,  278,  277,  276,  275,
      274,  273,  272,  271,  270,  265,  264,  263,  262,  261,
      260,  259,  258,  255,  254,  253,  252,  249,  248,  247,
      246,  245,  244,  243,  242,  241,  240,  239,  238,  237,
      235,  232,  230,  118,  226,  116,  224,  222,  219,  217,

      214,  213,  212,  207,  206,  204,  202,  201,  194,  191,
      190,  182,  172,  128,  125,  121,  117,  412,   72,   15,
      412,  412,  412,  412,  412,  412,  412,  412,  412,  412,
      412,  412,  412,  412,  412,  412,  412,  412,  412,  412,
      412,  412,  412,  412,  412,  412,  412,  412,  412,  412,
      412,  412,  412,  412,  412,  412,  412,  412,  412,  412,
      412,  412,  412,  412,  412,  412,  412,  412,  412,  412,
      412,  412,  412,  412,  412,  412,  412,  412,  412,  412,
      412,  412,  412,  412,  412,  412,  412
    } ;

static yyconst flex_int16_t yy_chk[788] =
    {   0,
        0,    0,    1,  213,    0,    2,   13,   14,    1,    0,
        0,    2,   11,   11,   11,    0,   30,    1,    0,  120,
        2,  122,  122,   12,   12,   12,  213,    1,   11,    0,
        2,   13,   14,   30,   42,   42,  120,    1,   11,   12,
        2,   13,   14,   62,   13,   14,   51,   64,   39,   12,
       39,   39,   55,   54,   50,   54,   51,   50,   55,   62,
      409,   64,   39,   55,    1,    1,    1,    2,    2,    2,
        3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
        3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
        3,    3,    3,    3,    3,    3,    3,    3,    3,    3,

        3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
        3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
        3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
        3,    3,    3,    3,    3,    3,    3,    5,    6,   21,
       52,   53,   57,   56,  407,   53,   60,   52,   56,   59,
       57,   53,   60,   59,   52,  104,   61,   21,   21,   65,
       68,   68,  136,  165,    6,  165,   96,   61,   21,   61,
       89,   89,   89,   65,    5,   90,   90,   90,   96,  405,
       65,   65,  171,  209,  209,  209,  123,   65,  123,  123,
      404,  104,  171,  228,  228,   21,   21,   21,  136,  403,

      123,    6,    7,    7,    7,    7,    7,    7,    7,    7,
        7,    7,    7,    7,    7,    7,    7,    7,    7,    7,
        7,    7,    7,    7,    7,    7,    7,    7,    7,    7,
        7,    7,    7,    7,    7,    7,    7,    7,    7,    7,
        7,    7,    7,    7,    7,    7,    7,    7,    7,    7,
        7,    7,    7,    7,    7,    7,    7,    7,    7,    7,
        7,    7,    7,    7,    7,    7,    7,    7,    7,    9,
        9,    9,    9,    9,    9,    9,    9,    9,    9,    9,
        9,    9,    9,    9,    9,    9,    9,    9,    9,    9,
        9,    9,    9,    9,    9,    9,    9,    9,    9,    9,

        9,    9,    9,    9,    9,    9,    9,    9,    9,    9,
        9,    9,    9,    9,    9,    9,    9,    9,    9,    9,
        9,    9,    9,    9,    9,    9,    9,    9,    9,    9,
        9,    9,    9,    9,    9,    9,   20,   20,   20,   20,
       20,  124,  182,  124,  182,   20,  124,  124,   20,  196,
      220,  233,   20,  281,  227,  227,   20,  182,   20,  288,
      182,   20,   20,  229,  229,   20,  227,   20,  237,   20,
      401,  265,  399,  287,   20,  265,  335,  397,  294,   20,
      294,   20,  288,  294,  294,  196,  220,  233,  356,  281,
      396,   20,   45,   45,   45,   45,   45,   45,   45,  287,

       45,   45,  335,  356,   45,   45,   45,  237,   45,   45,
      339,  339,   45,   45,   45,   45,  368,   45,   88,   88,
       88,  208,  208,  208,  340,  340,  388,  394,   45,  392,
       45,  391,  386,  382,   88,  381,  378,  208,  377,  368,
      376,  375,  374,  373,   88,  371,  366,  208,  363,  388,
       45,  362,  361,  360,  359,   45,   45,   45,   73,   73,
       73,  358,  357,  353,  351,  350,  349,  348,  347,  344,
       73,  341,  338,  336,  334,  331,  330,  326,  324,  323,
       73,  322,  320,  319,  318,  317,  316,   73,  315,   73,
      314,   73,  312,  310,  309,  308,  306,  304,  303,  302,

      299,   73,  298,   73,  297,  296,  293,  292,  290,  285,
      283,  282,  280,   73,  413,  413,  413,  413,  413,  413,
      413,  414,  414,  414,  414,  414,  414,  414,  415,  415,
      415,  415,  415,  415,  415,  416,  279,  278,  416,  416,
      416,  416,  417,  276,  417,  417,  417,  417,  417,  418,
      275,  418,  418,  418,  418,  418,  419,  274,  419,  419,
      419,  419,  419,  420,  420,  420,  420,  421,  421,  421,
      421,  422,  422,  422,  422,  423,  423,  424,  273,  424,
      424,  424,  424,  424,  425,  272,  425,  425,  425,  425,
      425,  426,  426,  427,  271,  427,  427,  427,  427,  427,

      428,  269,  268,  428,  429,  267,  266,  429,  430,  264,
      263,  430,  260,  258,  257,  256,  255,  254,  253,  252,
      251,  250,  249,  248,  247,  245,  244,  243,  242,  241,
      240,  239,  236,  235,  234,  232,  230,  226,  225,  224,
      223,  222,  221,  219,  217,  215,  212,  211,  210,  207,
      206,  201,  197,  195,  194,  193,  192,  191,  190,  188,
      187,  186,  185,  184,  183,  181,  180,  179,  176,  175,
      174,  173,  172,  169,  168,  167,  166,  164,  163,  162,
      161,  160,  159,  158,  157,  156,  155,  154,  153,  149,
      143,  135,  129,  119,  118,  117,  116,  107,  103,  100,

       95,   92,   91,   85,   84,   82,   78,   77,   72,   67,
       66,   63,   58,   44,   40,   37,   28,   15,    4,  412,
      412,  412,  412,  412,  412,  412,  412,  412,  412,  412,
      412,  412,  412,  412,  412,  412,  412,  412,  412,  412,
      412,  412,  412,  412,  412,  412,  412,  412,  412,  412,
      412,  412,  412,  412,  412,  412,  412,  412,  412,  412,
      412,  412,  412,  412,  412,  412,  412,  412,  412,  412,
      412,  412,  412,  412,  412,  412,  412,  412,  412,  412,
      412,  412,  412,  412,  412,  412,  412
    } ;

/* Table of booleans, true if rule could match eol. */
static yyconst flex_int32_t yy_rule_can_match_eol[170] =
    {   0,
1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 
    0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 
    0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0, 1, 0, 0, 
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,     };

static yy_state_type yy_last_accepting_state;
static char *yy_last_accepting_cpos;

extern int ww__flex_debug;
int ww__flex_debug = 1;

static yyconst flex_int16_t yy_rule_linenum[169] =
    {   0,
       22,   23,   24,   25,   26,   27,   29,   30,   32,   34,
       35,   36,   37,   38,   39,   40,   41,   44,   45,   46,
       47,   48,   49,   50,   56,   57,   58,   59,   60,   61,
       62,   67,   68,   69,   70,   71,   72,   73,   77,   78,
       79,   80,   81,   85,   86,   87,   88,   89,   90,   91,
       95,   96,   97,   98,   99,  100,  105,  106,  107,  108,
      114,  115,  116,  117,  118,  119,  120,  123,  124,  125,
      126,  131,  132,  133,  134,  135,  136,  137,  138,  139,
      140,  141,  142,  143,  144,  145,  146,  149,  150,  151,
      152,  153,  154,  155,  156,  157,  158,  159,  160,  161,

      162,  163,  164,  165,  166,  167,  170,  173,  174,  175,
      176,  177,  178,  179,  180,  181,  182,  183,  184,  185,
      186,  187,  188,  189,  190,  191,  192,  193,  194,  195,
      196,  197,  198,  199,  200,  201,  202,  203,  204,  205,
      206,  207,  208,  209,  210,  211,  212,  214,  215,  216,
      217,  219,  221,  222,  223,  224,  225,  226,  228,  229,
      230,  231,  232,  233,  234,  236,  237,  248
    } ;

/* The intent behind this definition is that it'll catch
 * any uses of REJECT which flex missed.
 */
#define REJECT reject_used_but_not_detected
#define yymore() yymore_used_but_not_detected
#define YY_MORE_ADJ 0
#define YY_RESTORE_YY_MORE_OFFSET
char *ww_text;
#line 1 "web.l"
#line 2 "web.l"
#include "web2w.h"
#include "pascal.tab.h"
static int  pre_ctl_mode=0;
#define YY_NO_INPUT 1

#line 922 "web.lex.c"

#define INITIAL 0
#define PASCAL 1
#define MIDDLE 2
#define DEFINITION 3
#define FORMAT 4
#define NAME 5
#define CONTROL 6

#ifndef YY_NO_UNISTD_H
/* Special case for "unistd.h", since it is non-ANSI. We include it way
 * down here because we want the user's section 1 to have been scanned first.
 * The user has a chance to override it with an option.
 */
/* %if-c-only */
#include <unistd.h>
/* %endif */
/* %if-c++-only */
/* %endif */
#endif

#ifndef YY_EXTRA_TYPE
#define YY_EXTRA_TYPE void *
#endif

/* %if-c-only Reentrant structure and macros (non-C++). */
/* %if-reentrant */
/* %if-c-only */

static int yy_init_globals (void );

/* %endif */
/* %if-reentrant */
/* %endif */
/* %endif End reentrant structures and macros. */

/* Accessor methods to globals.
   These are made visible to non-reentrant scanners for convenience. */

int ww_lex_destroy (void );

int ww_get_debug (void );

void ww_set_debug (int debug_flag  );

YY_EXTRA_TYPE ww_get_extra (void );

void ww_set_extra (YY_EXTRA_TYPE user_defined  );

FILE *ww_get_in (void );

void ww_set_in  (FILE * in_str  );

FILE *ww_get_out (void );

void ww_set_out  (FILE * out_str  );

yy_size_t ww_get_leng (void );

char *ww_get_text (void );

int ww_get_lineno (void );

void ww_set_lineno (int line_number  );

/* %if-bison-bridge */
/* %endif */

/* Macros after this point can all be overridden by user definitions in
 * section 1.
 */

#ifndef YY_SKIP_YYWRAP
#ifdef __cplusplus
extern "C" int ww_wrap (void );
#else
extern int ww_wrap (void );
#endif
#endif

/* %not-for-header */

/* %ok-for-header */

/* %endif */

#ifndef yytext_ptr
static void yy_flex_strncpy (char *,yyconst char *,int );
#endif

#ifdef YY_NEED_STRLEN
static int yy_flex_strlen (yyconst char * );
#endif

#ifndef YY_NO_INPUT
/* %if-c-only Standard (non-C++) definition */
/* %not-for-header */

#ifdef __cplusplus
static int yyinput (void );
#else
static int input (void );
#endif
/* %ok-for-header */

/* %endif */
#endif

/* %if-c-only */

/* %endif */

/* Amount of stuff to slurp up with each read. */
#ifndef YY_READ_BUF_SIZE
#define YY_READ_BUF_SIZE 8192
#endif

/* Copy whatever the last rule matched to the standard output. */
#ifndef ECHO
/* %if-c-only Standard (non-C++) definition */
/* This used to be an fputs(), but since the string might contain NUL's,
 * we now use fwrite().
 */
#define ECHO do { if (fwrite( ww_text, ww_leng, 1, ww_out )) {} } while (0)
/* %endif */
/* %if-c++-only C++ definition */
/* %endif */
#endif

/* Gets input and stuffs it into "buf".  number of characters read, or YY_NULL,
 * is returned in "result".
 */
#ifndef YY_INPUT
#define YY_INPUT(buf,result,max_size) \
/* %% [5.0] fread()/read() definition of YY_INPUT goes here unless we're doing C++ \ */\
	if ( YY_CURRENT_BUFFER_LVALUE->yy_is_interactive ) \
		{ \
		int c = '*'; \
		size_t n; \
		for ( n = 0; n < max_size && \
			     (c = getc( ww_in )) != EOF && c != '\n'; ++n ) \
			buf[n] = (char) c; \
		if ( c == '\n' ) \
			buf[n++] = (char) c; \
		if ( c == EOF && ferror( ww_in ) ) \
			YY_FATAL_ERROR( "input in flex scanner failed" ); \
		result = n; \
		} \
	else \
		{ \
		errno=0; \
		while ( (result = fread(buf, 1, max_size, ww_in))==0 && ferror(ww_in)) \
			{ \
			if( errno != EINTR) \
				{ \
				YY_FATAL_ERROR( "input in flex scanner failed" ); \
				break; \
				} \
			errno=0; \
			clearerr(ww_in); \
			} \
		}\
\
/* %if-c++-only C++ definition \ */\
/* %endif */

#endif

/* No semi-colon after return; correct usage is to write "yyterminate();" -
 * we don't want an extra ';' after the "return" because that will cause
 * some compilers to complain about unreachable statements.
 */
#ifndef yyterminate
#define yyterminate() return YY_NULL
#endif

/* Number of entries by which start-condition stack grows. */
#ifndef YY_START_STACK_INCR
#define YY_START_STACK_INCR 25
#endif

/* Report a fatal error. */
#ifndef YY_FATAL_ERROR
/* %if-c-only */
#define YY_FATAL_ERROR(msg) yy_fatal_error( msg )
/* %endif */
/* %if-c++-only */
/* %endif */
#endif

/* %if-tables-serialization structures and prototypes */
/* %not-for-header */

/* %ok-for-header */

/* %not-for-header */

/* %tables-yydmap generated elements */
/* %endif */
/* end tables serialization structures and prototypes */

/* %ok-for-header */

/* Default declaration of generated scanner - a define so the user can
 * easily add parameters.
 */
#ifndef YY_DECL
#define YY_DECL_IS_OURS 1
/* %if-c-only Standard (non-C++) definition */

extern int ww_lex (void);

#define YY_DECL int ww_lex (void)
/* %endif */
/* %if-c++-only C++ definition */
/* %endif */
#endif /* !YY_DECL */

/* Code executed at the beginning of each rule, after ww_text and ww_leng
 * have been set up.
 */
#ifndef YY_USER_ACTION
#define YY_USER_ACTION
#endif

/* Code executed at the end of each rule. */
#ifndef YY_BREAK
#define YY_BREAK break;
#endif

/* %% [6.0] YY_RULE_SETUP definition goes here */
#define YY_RULE_SETUP \
	if ( ww_leng > 0 ) \
		YY_CURRENT_BUFFER_LVALUE->yy_at_bol = \
				(ww_text[ww_leng - 1] == '\n'); \
	YY_USER_ACTION

/* %not-for-header */

/** The main scanner function which does all the work.
 */
YY_DECL
{
	register yy_state_type yy_current_state;
	register char *yy_cp, *yy_bp;
	register int yy_act;
    
/* %% [7.0] user's declarations go here */
#line 19 "web.l"

                     /* WEB codes, see WEB User Manual page 7 ff*/
#line 1174 "web.lex.c"

	if ( !(yy_init) )
		{
		(yy_init) = 1;

#ifdef YY_USER_INIT
		YY_USER_INIT;
#endif

		if ( ! (yy_start) )
			(yy_start) = 1;	/* first start state */

		if ( ! ww_in )
/* %if-c-only */
			ww_in = stdin;
/* %endif */
/* %if-c++-only */
/* %endif */

		if ( ! ww_out )
/* %if-c-only */
			ww_out = stdout;
/* %endif */
/* %if-c++-only */
/* %endif */

		if ( ! YY_CURRENT_BUFFER ) {
			ww_ensure_buffer_stack ();
			YY_CURRENT_BUFFER_LVALUE =
				ww__create_buffer(ww_in,YY_BUF_SIZE );
		}

		ww__load_buffer_state( );
		}

	while ( 1 )		/* loops until end-of-file is reached */
		{
/* %% [8.0] yymore()-related code goes here */
		yy_cp = (yy_c_buf_p);

		/* Support of ww_text. */
		*yy_cp = (yy_hold_char);

		/* yy_bp points to the position in yy_ch_buf of the start of
		 * the current run.
		 */
		yy_bp = yy_cp;

/* %% [9.0] code to set up and find next match goes here */
		yy_current_state = (yy_start);
		yy_current_state += YY_AT_BOL();
yy_match:
		do
			{
			register YY_CHAR yy_c = yy_ec[YY_SC_TO_UI(*yy_cp)];
			if ( yy_accept[yy_current_state] )
				{
				(yy_last_accepting_state) = yy_current_state;
				(yy_last_accepting_cpos) = yy_cp;
				}
			while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
				{
				yy_current_state = (int) yy_def[yy_current_state];
				if ( yy_current_state >= 413 )
					yy_c = yy_meta[(unsigned int) yy_c];
				}
			yy_current_state = yy_nxt[yy_base[yy_current_state] + (unsigned int) yy_c];
			++yy_cp;
			}
		while ( yy_current_state != 412 );
		yy_cp = (yy_last_accepting_cpos);
		yy_current_state = (yy_last_accepting_state);

yy_find_action:
/* %% [10.0] code to find the action number goes here */
		yy_act = yy_accept[yy_current_state];

		YY_DO_BEFORE_ACTION;

/* %% [11.0] code for ww_lineno update goes here */

		if ( yy_act != YY_END_OF_BUFFER && yy_rule_can_match_eol[yy_act] )
			{
			int yyl;
			for ( yyl = 0; yyl < ww_leng; ++yyl )
				if ( ww_text[yyl] == '\n' )
					   
    ww_lineno++;
;
			}

do_action:	/* This label is used only to access EOF actions. */

/* %% [12.0] debug code goes here */
		if ( ww__flex_debug )
			{
			if ( yy_act == 0 )
				fprintf( stderr, "--scanner backing up\n" );
			else if ( yy_act < 169 )
				fprintf( stderr, "--accepting rule at line %ld (\"%s\")\n",
				         (long)yy_rule_linenum[yy_act], ww_text );
			else if ( yy_act == 169 )
				fprintf( stderr, "--accepting default rule (\"%s\")\n",
				         ww_text );
			else if ( yy_act == 170 )
				fprintf( stderr, "--(end of buffer or a NUL)\n" );
			else
				fprintf( stderr, "--EOF (start condition %d)\n", YY_START );
			}

		switch ( yy_act )
	{ /* beginning of action switch */
/* %% [13.0] actions go here */
			case 0: /* must back up */
			/* undo the effects of YY_DO_BEFORE_ACTION */
			*yy_cp = (yy_hold_char);
			yy_cp = (yy_last_accepting_cpos);
			yy_current_state = (yy_last_accepting_state);
			goto yy_find_action;

case 1:
/* rule 1 can match eol */
YY_RULE_SETUP
#line 22 "web.l"
EOS;TOK("@ ",ATSPACE);BOS;
	YY_BREAK
case 2:
YY_RULE_SETUP
#line 23 "web.l"
EOS;TOK("@*",ATSTAR); BOS;
	YY_BREAK
case 3:
YY_RULE_SETUP
#line 24 "web.l"
EOS;TOK("@d ",ATD);SEQ;BEGIN(DEFINITION);
	YY_BREAK
case 4:
YY_RULE_SETUP
#line 25 "web.l"
EOS;TOK("@f ",ATF);SEQ;BEGIN(FORMAT);
	YY_BREAK
case 5:
YY_RULE_SETUP
#line 26 "web.l"
EOS;TOK("@p ",ATP);PROGRAM;PUSH;SEQ;BEGIN(PASCAL);
	YY_BREAK
case 6:
YY_RULE_SETUP
#line 27 "web.l"
EOS;TOK("@<",ATLESS);PUSH;BOS;SEQ;BEGIN(NAME);
	YY_BREAK
case 7:
YY_RULE_SETUP
#line 29 "web.l"
ADD;PUSH_NULL;
	YY_BREAK
case 8:
YY_RULE_SETUP
#line 30 "web.l"
POP_LEFT;
	YY_BREAK
case 9:
YY_RULE_SETUP
#line 32 "web.l"
EOS;TOK("|",BAR);PUSH;BEGIN(PASCAL);
	YY_BREAK
case 10:
YY_RULE_SETUP
#line 34 "web.l"
EOS;TOK(COPY,OCTAL);BOS;
	YY_BREAK
case 11:
YY_RULE_SETUP
#line 35 "web.l"
EOS;TOK(COPY,HEX);BOS;
	YY_BREAK
case 12:
YY_RULE_SETUP
#line 36 "web.l"
ADD;CTL;
	YY_BREAK
case 13:
YY_RULE_SETUP
#line 37 "web.l"
ADD;CTL;
	YY_BREAK
case 14:
YY_RULE_SETUP
#line 38 "web.l"
ADD;CTL;
	YY_BREAK
case 15:
YY_RULE_SETUP
#line 39 "web.l"
EOS;TOK("@!",ATEX); BOS;
	YY_BREAK
case 16:
YY_RULE_SETUP
#line 40 "web.l"
EOS;TOK("@?",ATQM); BOS;
	YY_BREAK
case 17:
YY_RULE_SETUP
#line 41 "web.l"
EOS;TOK("@@",ATAT);BOS;
	YY_BREAK
case 18:
/* rule 18 can match eol */
YY_RULE_SETUP
#line 44 "web.l"
ADD;
	YY_BREAK
case 19:
YY_RULE_SETUP
#line 45 "web.l"
add_string("\\@@"); /* |\?| is used in cwebmac.tex */ 
	YY_BREAK
case 20:
YY_RULE_SETUP
#line 46 "web.l"
ADD; /* we do not analyze TEX parts any further */
	YY_BREAK
case 21:
YY_RULE_SETUP
#line 47 "web.l"
ADD;
	YY_BREAK
case 22:
YY_RULE_SETUP
#line 48 "web.l"
ADD;
	YY_BREAK
case 23:
YY_RULE_SETUP
#line 49 "web.l"
ADD;
	YY_BREAK
case 24:
YY_RULE_SETUP
#line 50 "web.l"
ADD;
	YY_BREAK
case YY_STATE_EOF(INITIAL):
#line 52 "web.l"
EOS;TOK("",WEBEOF);return 0;
	YY_BREAK


case 25:
YY_RULE_SETUP
#line 56 "web.l"
ADD; END_CTL;
	YY_BREAK
case 26:
YY_RULE_SETUP
#line 57 "web.l"
add_string("\\AT"); /* webmac uses \AT! */
	YY_BREAK
case 27:
YY_RULE_SETUP
#line 58 "web.l"
add_string("\\_"); 
	YY_BREAK
case 28:
YY_RULE_SETUP
#line 59 "web.l"
add_string("\\_"); /* etex uses '_' without '\' */
	YY_BREAK
case 29:
/* rule 29 can match eol */
YY_RULE_SETUP
#line 60 "web.l"
ERROR("Unexpected \\n in control text");
	YY_BREAK
case 30:
YY_RULE_SETUP
#line 61 "web.l"
ERROR("Unexpected @ in control text");
	YY_BREAK
case 31:
YY_RULE_SETUP
#line 62 "web.l"
ADD;
	YY_BREAK


case 32:
/* rule 32 can match eol */
YY_RULE_SETUP
#line 67 "web.l"
TOK("@ ",ATSPACE);POP;BOS;SEQ;BEGIN(TEX);
	YY_BREAK
case 33:
YY_RULE_SETUP
#line 68 "web.l"
TOK("@*",ATSTAR); POP;BOS;SEQ;BEGIN(TEX);
	YY_BREAK
case 34:
YY_RULE_SETUP
#line 69 "web.l"
TOK("@d ",ATD);POP;SEQ;BEGIN(DEFINITION);
	YY_BREAK
case 35:
YY_RULE_SETUP
#line 70 "web.l"
TOK("@f ",ATF);POP;SEQ;BEGIN(FORMAT);
	YY_BREAK
case 36:
YY_RULE_SETUP
#line 71 "web.l"
TOK("@p ",ATP);POP;PROGRAM;PUSH;SEQ;BEGIN(PASCAL);
	YY_BREAK
case 37:
YY_RULE_SETUP
#line 72 "web.l"
TOK("@<",ATLESS);POP;PUSH;BOS;SEQ;BEGIN(NAME);
	YY_BREAK
case 38:
YY_RULE_SETUP
#line 73 "web.l"
TOK(" {",MLEFT);PUSH;BEGIN(TEX);BOS;
	YY_BREAK


case 39:
YY_RULE_SETUP
#line 77 "web.l"
SYMBOL;
	YY_BREAK
case 40:
YY_RULE_SETUP
#line 78 "web.l"
TOK("(#)",PARAM);
	YY_BREAK
case 41:
YY_RULE_SETUP
#line 79 "web.l"
TOK("=",EQEQ);PUSH;DEF_MACRO(NMACRO);BEGIN(MIDDLE);
	YY_BREAK
case 42:
YY_RULE_SETUP
#line 80 "web.l"
TOK("==",EQEQ);PUSH;DEF_MACRO(OMACRO);BEGIN(MIDDLE);
	YY_BREAK
case 43:
/* rule 43 can match eol */
YY_RULE_SETUP
#line 81 "web.l"
;
	YY_BREAK


case 44:
YY_RULE_SETUP
#line 85 "web.l"
TOK("if",PIF);
	YY_BREAK
case 45:
YY_RULE_SETUP
#line 86 "web.l"
TOK("if",PIF);
	YY_BREAK
case 46:
YY_RULE_SETUP
#line 87 "web.l"
SYMBOL;
	YY_BREAK
case 47:
YY_RULE_SETUP
#line 88 "web.l"
TOK("==",EQEQ);PUSH;
	YY_BREAK
case 48:
YY_RULE_SETUP
#line 89 "web.l"
TOK(" {",MLEFT);PUSH;BEGIN(TEX);BOS;
	YY_BREAK
case 49:
/* rule 49 can match eol */
YY_RULE_SETUP
#line 90 "web.l"
TOK("\n",NL);BEGIN(MIDDLE);
	YY_BREAK
case 50:
/* rule 50 can match eol */
YY_RULE_SETUP
#line 91 "web.l"
;
	YY_BREAK


case 51:
YY_RULE_SETUP
#line 95 "web.l"
EOS;AT_GREATER;BEGIN(PASCAL);
	YY_BREAK
case 52:
YY_RULE_SETUP
#line 96 "web.l"
EOS;TOK("...",ELIPSIS);AT_GREATER;BEGIN(PASCAL);
	YY_BREAK
case 53:
YY_RULE_SETUP
#line 97 "web.l"
EOS;AT_GREATER_EQ;BEGIN(PASCAL);
	YY_BREAK
case 54:
YY_RULE_SETUP
#line 98 "web.l"
EOS;TOK("...",ELIPSIS);AT_GREATER_EQ;BEGIN(PASCAL);
	YY_BREAK
case 55:
/* rule 55 can match eol */
YY_RULE_SETUP
#line 99 "web.l"
add_string(" ");
	YY_BREAK
case 56:
YY_RULE_SETUP
#line 100 "web.l"
ADD;
	YY_BREAK


case 57:
/* rule 57 can match eol */
YY_RULE_SETUP
#line 105 "web.l"
TOK("@ ",ATSPACE);POP;BOS;SEQ;BEGIN(TEX);
	YY_BREAK
case 58:
YY_RULE_SETUP
#line 106 "web.l"
TOK("@*",ATSTAR);POP;BOS;SEQ;BEGIN(TEX);
	YY_BREAK
case 59:
YY_RULE_SETUP
#line 107 "web.l"
TOK("@<",ATLESS);PUSH;BOS;BEGIN(NAME);
	YY_BREAK
case 60:
YY_RULE_SETUP
#line 108 "web.l"
TOK(" {",PLEFT);PUSH;BEGIN(TEX);BOS;
	YY_BREAK


case YY_STATE_EOF(MIDDLE):
case YY_STATE_EOF(PASCAL):
#line 112 "web.l"
TOK("",WEBEOF);POP;return 0;
	YY_BREAK
case 61:
YY_RULE_SETUP
#line 114 "web.l"
TOK(COPY,OCTAL);
	YY_BREAK
case 62:
YY_RULE_SETUP
#line 115 "web.l"
TOK(COPY,HEX);
	YY_BREAK
case 63:
YY_RULE_SETUP
#line 116 "web.l"
TOK("@!",ATEX);
	YY_BREAK
case 64:
YY_RULE_SETUP
#line 117 "web.l"
TOK("@?",ATQM);
	YY_BREAK
case 65:
YY_RULE_SETUP
#line 118 "web.l"
TOK("|",BAR);POP;BEGIN(TEX);BOS;
	YY_BREAK
case 66:
YY_RULE_SETUP
#line 119 "web.l"
BOS; ADD; CTL;
	YY_BREAK
case 67:
YY_RULE_SETUP
#line 120 "web.l"
BOS; ADD; CTL;
	YY_BREAK
case 68:
YY_RULE_SETUP
#line 123 "web.l"
ERROR("Unexpected }");
	YY_BREAK
case 69:
YY_RULE_SETUP
#line 124 "web.l"
TOK("(",POPEN);PUSH; 
	YY_BREAK
case 70:
YY_RULE_SETUP
#line 125 "web.l"
TOK(")",PCLOSE);POP;
	YY_BREAK
case 71:
YY_RULE_SETUP
#line 126 "web.l"
TOK("#",HASH);/* used in macros */
	YY_BREAK
case 72:
/* rule 72 can match eol */
YY_RULE_SETUP
#line 131 "web.l"
TOK("\n",NL); /* non Pascal tokens */ 
	YY_BREAK
case 73:
YY_RULE_SETUP
#line 132 "web.l"
BOS; ADD; CTL;
	YY_BREAK
case 74:
YY_RULE_SETUP
#line 133 "web.l"
BOS; ADD; CTL;
	YY_BREAK
case 75:
YY_RULE_SETUP
#line 134 "web.l"
BOS; ADD; CTL;
	YY_BREAK
case 76:
YY_RULE_SETUP
#line 135 "web.l"
TOK("@$",ATDOLLAR);
	YY_BREAK
case 77:
YY_RULE_SETUP
#line 136 "web.l"
TOK("@{",ATLEFT);
	YY_BREAK
case 78:
YY_RULE_SETUP
#line 137 "web.l"
TOK("@}",ATRIGHT);
	YY_BREAK
case 79:
YY_RULE_SETUP
#line 138 "web.l"
TOK(COPY,METACOMMENT);
	YY_BREAK
case 80:
YY_RULE_SETUP
#line 139 "web.l"
TOK("@&",ATAND);
	YY_BREAK
case 81:
YY_RULE_SETUP
#line 140 "web.l"
TOK("@\\",ATBACKSLASH);
	YY_BREAK
case 82:
YY_RULE_SETUP
#line 141 "web.l"
TOK("@,",ATCOMMA);
	YY_BREAK
case 83:
YY_RULE_SETUP
#line 142 "web.l"
TOK("@/",ATSLASH);
	YY_BREAK
case 84:
YY_RULE_SETUP
#line 143 "web.l"
TOK("@|",ATBAR);
	YY_BREAK
case 85:
YY_RULE_SETUP
#line 144 "web.l"
TOK("@#",ATHASH);
	YY_BREAK
case 86:
YY_RULE_SETUP
#line 145 "web.l"
TOK("@+",ATPLUS);
	YY_BREAK
case 87:
YY_RULE_SETUP
#line 146 "web.l"
TOK("@;",ATSEMICOLON);
	YY_BREAK
case 88:
YY_RULE_SETUP
#line 149 "web.l"
TOK("=",PEQ);  /* Pascal tokens */
	YY_BREAK
case 89:
YY_RULE_SETUP
#line 150 "web.l"
TOK("+",PPLUS);
	YY_BREAK
case 90:
YY_RULE_SETUP
#line 151 "web.l"
TOK("-",PMINUS);
	YY_BREAK
case 91:
YY_RULE_SETUP
#line 152 "web.l"
TOK("*",PSTAR);
	YY_BREAK
case 92:
YY_RULE_SETUP
#line 153 "web.l"
TOK("/",PSLASH);
	YY_BREAK
case 93:
YY_RULE_SETUP
#line 154 "web.l"
TOK(" <> ",PNOTEQ);
	YY_BREAK
case 94:
YY_RULE_SETUP
#line 155 "web.l"
TOK(" < ",PLESS);
	YY_BREAK
case 95:
YY_RULE_SETUP
#line 156 "web.l"
TOK(" > ",PGREATER);
	YY_BREAK
case 96:
YY_RULE_SETUP
#line 157 "web.l"
TOK(" <= ",PLESSEQ);
	YY_BREAK
case 97:
YY_RULE_SETUP
#line 158 "web.l"
TOK(" >= ",PGREATEREQ);
	YY_BREAK
case 98:
YY_RULE_SETUP
#line 159 "web.l"
TOK("[",PSQOPEN); 
	YY_BREAK
case 99:
YY_RULE_SETUP
#line 160 "web.l"
TOK("]",PSQCLOSE);
	YY_BREAK
case 100:
YY_RULE_SETUP
#line 161 "web.l"
TOK(":=",PASSIGN);
	YY_BREAK
case 101:
YY_RULE_SETUP
#line 162 "web.l"
TOK(".",PDOT); 
	YY_BREAK
case 102:
YY_RULE_SETUP
#line 163 "web.l"
TOK("..",PDOTDOT);
	YY_BREAK
case 103:
YY_RULE_SETUP
#line 164 "web.l"
TOK(",",PCOMMA); 
	YY_BREAK
case 104:
YY_RULE_SETUP
#line 165 "web.l"
TOK(";",PSEMICOLON);
	YY_BREAK
case 105:
YY_RULE_SETUP
#line 166 "web.l"
TOK(": ",PCOLON); 
	YY_BREAK
case 106:
YY_RULE_SETUP
#line 167 "web.l"
TOK("^",PUP);
	YY_BREAK
case 107:
YY_RULE_SETUP
#line 170 "web.l"
TOK("type",PTYPE); /* see line 676 of tex.web */
	YY_BREAK
case 108:
YY_RULE_SETUP
#line 173 "web.l"
TOK("mod",PMOD); /* pascal keywords */
	YY_BREAK
case 109:
YY_RULE_SETUP
#line 174 "web.l"
TOK("div",PDIV);
	YY_BREAK
case 110:
YY_RULE_SETUP
#line 175 "web.l"
TOK("nil",PNIL);
	YY_BREAK
case 111:
YY_RULE_SETUP
#line 176 "web.l"
TOK("in",PIN); 
	YY_BREAK
case 112:
YY_RULE_SETUP
#line 177 "web.l"
TOK("or",POR); 
	YY_BREAK
case 113:
YY_RULE_SETUP
#line 178 "web.l"
TOK("and",PAND);
	YY_BREAK
case 114:
YY_RULE_SETUP
#line 179 "web.l"
TOK("not",PNOT);
	YY_BREAK
case 115:
YY_RULE_SETUP
#line 180 "web.l"
TOK("if",PIF); 
	YY_BREAK
case 116:
YY_RULE_SETUP
#line 181 "web.l"
TOK("then",PTHEN);
	YY_BREAK
case 117:
YY_RULE_SETUP
#line 182 "web.l"
TOK("else",PELSE); 
	YY_BREAK
case 118:
YY_RULE_SETUP
#line 183 "web.l"
TOK("case",PCASE); 
	YY_BREAK
case 119:
YY_RULE_SETUP
#line 184 "web.l"
TOK("of",POF); 
	YY_BREAK
case 120:
YY_RULE_SETUP
#line 185 "web.l"
TOK("others",POTHERS);
	YY_BREAK
case 121:
YY_RULE_SETUP
#line 186 "web.l"
TOK("forward",PFORWARD);  
	YY_BREAK
case 122:
YY_RULE_SETUP
#line 187 "web.l"
TOK("repeat",PREPEAT); 
	YY_BREAK
case 123:
YY_RULE_SETUP
#line 188 "web.l"
TOK("until",PUNTIL); 
	YY_BREAK
case 124:
YY_RULE_SETUP
#line 189 "web.l"
TOK("while",PWHILE); 
	YY_BREAK
case 125:
YY_RULE_SETUP
#line 190 "web.l"
TOK("do",PDO);
	YY_BREAK
case 126:
YY_RULE_SETUP
#line 191 "web.l"
TOK("for",PFOR);
	YY_BREAK
case 127:
YY_RULE_SETUP
#line 192 "web.l"
TOK("to",PTO); 
	YY_BREAK
case 128:
YY_RULE_SETUP
#line 193 "web.l"
TOK("downto",PDOWNTO); 
	YY_BREAK
case 129:
YY_RULE_SETUP
#line 194 "web.l"
TOK("begin",PBEGIN); 
	YY_BREAK
case 130:
YY_RULE_SETUP
#line 195 "web.l"
TOK("end",PEND); 
	YY_BREAK
case 131:
YY_RULE_SETUP
#line 196 "web.l"
TOK("with",PWITH);
	YY_BREAK
case 132:
YY_RULE_SETUP
#line 197 "web.l"
TOK("goto",PGOTO);
	YY_BREAK
case 133:
YY_RULE_SETUP
#line 198 "web.l"
TOK("const",PCONST);
	YY_BREAK
case 134:
YY_RULE_SETUP
#line 199 "web.l"
TOK("var",PVAR);
	YY_BREAK
case 135:
YY_RULE_SETUP
#line 200 "web.l"
TOK("array",PARRAY);
	YY_BREAK
case 136:
YY_RULE_SETUP
#line 201 "web.l"
TOK("record",PRECORD);
	YY_BREAK
case 137:
YY_RULE_SETUP
#line 202 "web.l"
TOK("set",PSET); 
	YY_BREAK
case 138:
YY_RULE_SETUP
#line 203 "web.l"
TOK("file",PFILE); 
	YY_BREAK
case 139:
YY_RULE_SETUP
#line 204 "web.l"
TOK("function",PFUNCTION); 
	YY_BREAK
case 140:
YY_RULE_SETUP
#line 205 "web.l"
TOK("procedure",PPROCEDURE);
	YY_BREAK
case 141:
YY_RULE_SETUP
#line 206 "web.l"
TOK("label",PLABEL); 
	YY_BREAK
case 142:
YY_RULE_SETUP
#line 207 "web.l"
TOK("packed",PPACKED);
	YY_BREAK
case 143:
YY_RULE_SETUP
#line 208 "web.l"
TOK("program",PPROGRAM);
	YY_BREAK
case 144:
YY_RULE_SETUP
#line 209 "web.l"
TOK("char",PTYPECHAR);
	YY_BREAK
case 145:
YY_RULE_SETUP
#line 210 "web.l"
TOK("integer",PTYPEINT);
	YY_BREAK
case 146:
YY_RULE_SETUP
#line 211 "web.l"
TOK("real",PTYPEREAL);
	YY_BREAK
case 147:
YY_RULE_SETUP
#line 212 "web.l"
TOK("boolean",PTYPEBOOL);
	YY_BREAK
case 148:
YY_RULE_SETUP
#line 214 "web.l"
TOK("endcases",PEND);
	YY_BREAK
case 149:
YY_RULE_SETUP
#line 215 "web.l"
TOK("othercases",POTHERS);
	YY_BREAK
case 150:
YY_RULE_SETUP
#line 216 "web.l"
TOK("type",PTYPE);
	YY_BREAK
case 151:
YY_RULE_SETUP
#line 217 "web.l"
TOK("final_end",PEXIT);
	YY_BREAK
case 152:
YY_RULE_SETUP
#line 219 "web.l"
TOK_RETURN;
	YY_BREAK
case 153:
YY_RULE_SETUP
#line 221 "web.l"
TOK("debug",WDEBUG);
	YY_BREAK
case 154:
YY_RULE_SETUP
#line 222 "web.l"
TOK("debug",WGUBED);
	YY_BREAK
case 155:
YY_RULE_SETUP
#line 223 "web.l"
TOK("stat",WSTAT);
	YY_BREAK
case 156:
YY_RULE_SETUP
#line 224 "web.l"
TOK("tats",WTATS);
	YY_BREAK
case 157:
YY_RULE_SETUP
#line 225 "web.l"
TOK("init",WINIT);
	YY_BREAK
case 158:
YY_RULE_SETUP
#line 226 "web.l"
TOK("tini",WTINI);
	YY_BREAK
case 159:
YY_RULE_SETUP
#line 228 "web.l"
SYMBOL; SYM(last_token)->scan_count++;
	YY_BREAK
case 160:
YY_RULE_SETUP
#line 229 "web.l"
TOK(COPY,CHAR);  /* single character string */
	YY_BREAK
case 161:
YY_RULE_SETUP
#line 230 "web.l"
TOK(COPY,STRING); /* multiple character string */
	YY_BREAK
case 162:
YY_RULE_SETUP
#line 231 "web.l"
TOK(COPY,PCHAR);
	YY_BREAK
case 163:
YY_RULE_SETUP
#line 232 "web.l"
TOK(COPY,PSTRING);
	YY_BREAK
case 164:
YY_RULE_SETUP
#line 233 "web.l"
TOK(COPY,PINTEGER);
	YY_BREAK
case 165:
YY_RULE_SETUP
#line 234 "web.l"
TOK(COPY,PREAL);
	YY_BREAK
case 166:
YY_RULE_SETUP
#line 236 "web.l"
TOK(COPY,INDENT);
	YY_BREAK
case 167:
YY_RULE_SETUP
#line 237 "web.l"
; /* in Pascal mode we ignore spaces */
	YY_BREAK

/* anything that gets to this line 
              is an illegal character */
case 168:
YY_RULE_SETUP
#line 248 "web.l"
{ ERROR("Illegal %c (0x%02x) in line %d mode %d",
             ww_text[0],ww_text[0],ww_lineno, YY_START);}
	YY_BREAK
case 169:
YY_RULE_SETUP
#line 252 "web.l"
ECHO;
	YY_BREAK
#line 2177 "web.lex.c"
case YY_STATE_EOF(DEFINITION):
case YY_STATE_EOF(FORMAT):
case YY_STATE_EOF(NAME):
case YY_STATE_EOF(CONTROL):
	yyterminate();

	case YY_END_OF_BUFFER:
		{
		/* Amount of text matched not including the EOB char. */
		int yy_amount_of_matched_text = (int) (yy_cp - (yytext_ptr)) - 1;

		/* Undo the effects of YY_DO_BEFORE_ACTION. */
		*yy_cp = (yy_hold_char);
		YY_RESTORE_YY_MORE_OFFSET

		if ( YY_CURRENT_BUFFER_LVALUE->yy_buffer_status == YY_BUFFER_NEW )
			{
			/* We're scanning a new file or input source.  It's
			 * possible that this happened because the user
			 * just pointed ww_in at a new source and called
			 * ww_lex().  If so, then we have to assure
			 * consistency between YY_CURRENT_BUFFER and our
			 * globals.  Here is the right place to do so, because
			 * this is the first action (other than possibly a
			 * back-up) that will match for the new input source.
			 */
			(yy_n_chars) = YY_CURRENT_BUFFER_LVALUE->yy_n_chars;
			YY_CURRENT_BUFFER_LVALUE->yy_input_file = ww_in;
			YY_CURRENT_BUFFER_LVALUE->yy_buffer_status = YY_BUFFER_NORMAL;
			}

		/* Note that here we test for yy_c_buf_p "<=" to the position
		 * of the first EOB in the buffer, since yy_c_buf_p will
		 * already have been incremented past the NUL character
		 * (since all states make transitions on EOB to the
		 * end-of-buffer state).  Contrast this with the test
		 * in input().
		 */
		if ( (yy_c_buf_p) <= &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars)] )
			{ /* This was really a NUL. */
			yy_state_type yy_next_state;

			(yy_c_buf_p) = (yytext_ptr) + yy_amount_of_matched_text;

			yy_current_state = yy_get_previous_state(  );

			/* Okay, we're now positioned to make the NUL
			 * transition.  We couldn't have
			 * yy_get_previous_state() go ahead and do it
			 * for us because it doesn't know how to deal
			 * with the possibility of jamming (and we don't
			 * want to build jamming into it because then it
			 * will run more slowly).
			 */

			yy_next_state = yy_try_NUL_trans( yy_current_state );

			yy_bp = (yytext_ptr) + YY_MORE_ADJ;

			if ( yy_next_state )
				{
				/* Consume the NUL. */
				yy_cp = ++(yy_c_buf_p);
				yy_current_state = yy_next_state;
				goto yy_match;
				}

			else
				{
/* %% [14.0] code to do back-up for compressed tables and set up yy_cp goes here */
				yy_cp = (yy_last_accepting_cpos);
				yy_current_state = (yy_last_accepting_state);
				goto yy_find_action;
				}
			}

		else switch ( yy_get_next_buffer(  ) )
			{
			case EOB_ACT_END_OF_FILE:
				{
				(yy_did_buffer_switch_on_eof) = 0;

				if ( ww_wrap( ) )
					{
					/* Note: because we've taken care in
					 * yy_get_next_buffer() to have set up
					 * ww_text, we can now set up
					 * yy_c_buf_p so that if some total
					 * hoser (like flex itself) wants to
					 * call the scanner after we return the
					 * YY_NULL, it'll still work - another
					 * YY_NULL will get returned.
					 */
					(yy_c_buf_p) = (yytext_ptr) + YY_MORE_ADJ;

					yy_act = YY_STATE_EOF(YY_START);
					goto do_action;
					}

				else
					{
					if ( ! (yy_did_buffer_switch_on_eof) )
						YY_NEW_FILE;
					}
				break;
				}

			case EOB_ACT_CONTINUE_SCAN:
				(yy_c_buf_p) =
					(yytext_ptr) + yy_amount_of_matched_text;

				yy_current_state = yy_get_previous_state(  );

				yy_cp = (yy_c_buf_p);
				yy_bp = (yytext_ptr) + YY_MORE_ADJ;
				goto yy_match;

			case EOB_ACT_LAST_MATCH:
				(yy_c_buf_p) =
				&YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars)];

				yy_current_state = yy_get_previous_state(  );

				yy_cp = (yy_c_buf_p);
				yy_bp = (yytext_ptr) + YY_MORE_ADJ;
				goto yy_find_action;
			}
		break;
		}

	default:
		YY_FATAL_ERROR(
			"fatal flex scanner internal error--no action found" );
	} /* end of action switch */
		} /* end of scanning one token */
} /* end of ww_lex */
/* %ok-for-header */

/* %if-c++-only */
/* %not-for-header */

/* %ok-for-header */

/* %endif */

/* yy_get_next_buffer - try to read in a new buffer
 *
 * Returns a code representing an action:
 *	EOB_ACT_LAST_MATCH -
 *	EOB_ACT_CONTINUE_SCAN - continue scanning from current position
 *	EOB_ACT_END_OF_FILE - end of file
 */
/* %if-c-only */
static int yy_get_next_buffer (void)
/* %endif */
/* %if-c++-only */
/* %endif */
{
    	register char *dest = YY_CURRENT_BUFFER_LVALUE->yy_ch_buf;
	register char *source = (yytext_ptr);
	register int number_to_move, i;
	int ret_val;

	if ( (yy_c_buf_p) > &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars) + 1] )
		YY_FATAL_ERROR(
		"fatal flex scanner internal error--end of buffer missed" );

	if ( YY_CURRENT_BUFFER_LVALUE->yy_fill_buffer == 0 )
		{ /* Don't try to fill the buffer, so this is an EOF. */
		if ( (yy_c_buf_p) - (yytext_ptr) - YY_MORE_ADJ == 1 )
			{
			/* We matched a single character, the EOB, so
			 * treat this as a final EOF.
			 */
			return EOB_ACT_END_OF_FILE;
			}

		else
			{
			/* We matched some text prior to the EOB, first
			 * process it.
			 */
			return EOB_ACT_LAST_MATCH;
			}
		}

	/* Try to read more data. */

	/* First move last chars to start of buffer. */
	number_to_move = (int) ((yy_c_buf_p) - (yytext_ptr)) - 1;

	for ( i = 0; i < number_to_move; ++i )
		*(dest++) = *(source++);

	if ( YY_CURRENT_BUFFER_LVALUE->yy_buffer_status == YY_BUFFER_EOF_PENDING )
		/* don't do the read, it's not guaranteed to return an EOF,
		 * just force an EOF
		 */
		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = (yy_n_chars) = 0;

	else
		{
			yy_size_t num_to_read =
			YY_CURRENT_BUFFER_LVALUE->yy_buf_size - number_to_move - 1;

		while ( num_to_read <= 0 )
			{ /* Not enough room in the buffer - grow it. */

			/* just a shorter name for the current buffer */
			YY_BUFFER_STATE b = YY_CURRENT_BUFFER_LVALUE;

			int yy_c_buf_p_offset =
				(int) ((yy_c_buf_p) - b->yy_ch_buf);

			if ( b->yy_is_our_buffer )
				{
				yy_size_t new_size = b->yy_buf_size * 2;

				if ( new_size <= 0 )
					b->yy_buf_size += b->yy_buf_size / 8;
				else
					b->yy_buf_size *= 2;

				b->yy_ch_buf = (char *)
					/* Include room in for 2 EOB chars. */
					ww_realloc((void *) b->yy_ch_buf,b->yy_buf_size + 2  );
				}
			else
				/* Can't grow it, we don't own it. */
				b->yy_ch_buf = 0;

			if ( ! b->yy_ch_buf )
				YY_FATAL_ERROR(
				"fatal error - scanner input buffer overflow" );

			(yy_c_buf_p) = &b->yy_ch_buf[yy_c_buf_p_offset];

			num_to_read = YY_CURRENT_BUFFER_LVALUE->yy_buf_size -
						number_to_move - 1;

			}

		if ( num_to_read > YY_READ_BUF_SIZE )
			num_to_read = YY_READ_BUF_SIZE;

		/* Read in more data. */
		YY_INPUT( (&YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[number_to_move]),
			(yy_n_chars), num_to_read );

		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = (yy_n_chars);
		}

	if ( (yy_n_chars) == 0 )
		{
		if ( number_to_move == YY_MORE_ADJ )
			{
			ret_val = EOB_ACT_END_OF_FILE;
			ww_restart(ww_in  );
			}

		else
			{
			ret_val = EOB_ACT_LAST_MATCH;
			YY_CURRENT_BUFFER_LVALUE->yy_buffer_status =
				YY_BUFFER_EOF_PENDING;
			}
		}

	else
		ret_val = EOB_ACT_CONTINUE_SCAN;

	if ((yy_size_t) ((yy_n_chars) + number_to_move) > YY_CURRENT_BUFFER_LVALUE->yy_buf_size) {
		/* Extend the array by 50%, plus the number we really need. */
		yy_size_t new_size = (yy_n_chars) + number_to_move + ((yy_n_chars) >> 1);
		YY_CURRENT_BUFFER_LVALUE->yy_ch_buf = (char *) ww_realloc((void *) YY_CURRENT_BUFFER_LVALUE->yy_ch_buf,new_size  );
		if ( ! YY_CURRENT_BUFFER_LVALUE->yy_ch_buf )
			YY_FATAL_ERROR( "out of dynamic memory in yy_get_next_buffer()" );
	}

	(yy_n_chars) += number_to_move;
	YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars)] = YY_END_OF_BUFFER_CHAR;
	YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars) + 1] = YY_END_OF_BUFFER_CHAR;

	(yytext_ptr) = &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[0];

	return ret_val;
}

/* yy_get_previous_state - get the state just before the EOB char was reached */

/* %if-c-only */
/* %not-for-header */

    static yy_state_type yy_get_previous_state (void)
/* %endif */
/* %if-c++-only */
/* %endif */
{
	register yy_state_type yy_current_state;
	register char *yy_cp;
    
/* %% [15.0] code to get the start state into yy_current_state goes here */
	yy_current_state = (yy_start);
	yy_current_state += YY_AT_BOL();

	for ( yy_cp = (yytext_ptr) + YY_MORE_ADJ; yy_cp < (yy_c_buf_p); ++yy_cp )
		{
/* %% [16.0] code to find the next state goes here */
		register YY_CHAR yy_c = (*yy_cp ? yy_ec[YY_SC_TO_UI(*yy_cp)] : 1);
		if ( yy_accept[yy_current_state] )
			{
			(yy_last_accepting_state) = yy_current_state;
			(yy_last_accepting_cpos) = yy_cp;
			}
		while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
			{
			yy_current_state = (int) yy_def[yy_current_state];
			if ( yy_current_state >= 413 )
				yy_c = yy_meta[(unsigned int) yy_c];
			}
		yy_current_state = yy_nxt[yy_base[yy_current_state] + (unsigned int) yy_c];
		}

	return yy_current_state;
}

/* yy_try_NUL_trans - try to make a transition on the NUL character
 *
 * synopsis
 *	next_state = yy_try_NUL_trans( current_state );
 */
/* %if-c-only */
    static yy_state_type yy_try_NUL_trans  (yy_state_type yy_current_state )
/* %endif */
/* %if-c++-only */
/* %endif */
{
	register int yy_is_jam;
    /* %% [17.0] code to find the next state, and perhaps do backing up, goes here */
	register char *yy_cp = (yy_c_buf_p);

	register YY_CHAR yy_c = 1;
	if ( yy_accept[yy_current_state] )
		{
		(yy_last_accepting_state) = yy_current_state;
		(yy_last_accepting_cpos) = yy_cp;
		}
	while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
		{
		yy_current_state = (int) yy_def[yy_current_state];
		if ( yy_current_state >= 413 )
			yy_c = yy_meta[(unsigned int) yy_c];
		}
	yy_current_state = yy_nxt[yy_base[yy_current_state] + (unsigned int) yy_c];
	yy_is_jam = (yy_current_state == 412);

		return yy_is_jam ? 0 : yy_current_state;
}

/* %if-c-only */

/* %endif */

/* %if-c-only */
#ifndef YY_NO_INPUT
#ifdef __cplusplus
    static int yyinput (void)
#else
    static int input  (void)
#endif

/* %endif */
/* %if-c++-only */
/* %endif */
{
	int c;
    
	*(yy_c_buf_p) = (yy_hold_char);

	if ( *(yy_c_buf_p) == YY_END_OF_BUFFER_CHAR )
		{
		/* yy_c_buf_p now points to the character we want to return.
		 * If this occurs *before* the EOB characters, then it's a
		 * valid NUL; if not, then we've hit the end of the buffer.
		 */
		if ( (yy_c_buf_p) < &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars)] )
			/* This was really a NUL. */
			*(yy_c_buf_p) = '\0';

		else
			{ /* need more input */
			yy_size_t offset = (yy_c_buf_p) - (yytext_ptr);
			++(yy_c_buf_p);

			switch ( yy_get_next_buffer(  ) )
				{
				case EOB_ACT_LAST_MATCH:
					/* This happens because yy_g_n_b()
					 * sees that we've accumulated a
					 * token and flags that we need to
					 * try matching the token before
					 * proceeding.  But for input(),
					 * there's no matching to consider.
					 * So convert the EOB_ACT_LAST_MATCH
					 * to EOB_ACT_END_OF_FILE.
					 */

					/* Reset buffer status. */
					ww_restart(ww_in );

					/*FALLTHROUGH*/

				case EOB_ACT_END_OF_FILE:
					{
					if ( ww_wrap( ) )
						return EOF;

					if ( ! (yy_did_buffer_switch_on_eof) )
						YY_NEW_FILE;
#ifdef __cplusplus
					return yyinput();
#else
					return input();
#endif
					}

				case EOB_ACT_CONTINUE_SCAN:
					(yy_c_buf_p) = (yytext_ptr) + offset;
					break;
				}
			}
		}

	c = *(unsigned char *) (yy_c_buf_p);	/* cast for 8-bit char's */
	*(yy_c_buf_p) = '\0';	/* preserve ww_text */
	(yy_hold_char) = *++(yy_c_buf_p);

/* %% [19.0] update BOL and ww_lineno */
	YY_CURRENT_BUFFER_LVALUE->yy_at_bol = (c == '\n');
	if ( YY_CURRENT_BUFFER_LVALUE->yy_at_bol )
		   
    ww_lineno++;
;

	return c;
}
/* %if-c-only */
#endif	/* ifndef YY_NO_INPUT */
/* %endif */

/** Immediately switch to a different input stream.
 * @param input_file A readable stream.
 * 
 * @note This function does not reset the start condition to @c INITIAL .
 */
/* %if-c-only */
    void ww_restart  (FILE * input_file )
/* %endif */
/* %if-c++-only */
/* %endif */
{
    
	if ( ! YY_CURRENT_BUFFER ){
        ww_ensure_buffer_stack ();
		YY_CURRENT_BUFFER_LVALUE =
            ww__create_buffer(ww_in,YY_BUF_SIZE );
	}

	ww__init_buffer(YY_CURRENT_BUFFER,input_file );
	ww__load_buffer_state( );
}

/** Switch to a different input buffer.
 * @param new_buffer The new input buffer.
 * 
 */
/* %if-c-only */
    void ww__switch_to_buffer  (YY_BUFFER_STATE  new_buffer )
/* %endif */
/* %if-c++-only */
/* %endif */
{
    
	/* TODO. We should be able to replace this entire function body
	 * with
	 *		ww_pop_buffer_state();
	 *		ww_push_buffer_state(new_buffer);
     */
	ww_ensure_buffer_stack ();
	if ( YY_CURRENT_BUFFER == new_buffer )
		return;

	if ( YY_CURRENT_BUFFER )
		{
		/* Flush out information for old buffer. */
		*(yy_c_buf_p) = (yy_hold_char);
		YY_CURRENT_BUFFER_LVALUE->yy_buf_pos = (yy_c_buf_p);
		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = (yy_n_chars);
		}

	YY_CURRENT_BUFFER_LVALUE = new_buffer;
	ww__load_buffer_state( );

	/* We don't actually know whether we did this switch during
	 * EOF (ww_wrap()) processing, but the only time this flag
	 * is looked at is after ww_wrap() is called, so it's safe
	 * to go ahead and always set it.
	 */
	(yy_did_buffer_switch_on_eof) = 1;
}

/* %if-c-only */
static void ww__load_buffer_state  (void)
/* %endif */
/* %if-c++-only */
/* %endif */
{
    	(yy_n_chars) = YY_CURRENT_BUFFER_LVALUE->yy_n_chars;
	(yytext_ptr) = (yy_c_buf_p) = YY_CURRENT_BUFFER_LVALUE->yy_buf_pos;
	ww_in = YY_CURRENT_BUFFER_LVALUE->yy_input_file;
	(yy_hold_char) = *(yy_c_buf_p);
}

/** Allocate and initialize an input buffer state.
 * @param file A readable stream.
 * @param size The character buffer size in bytes. When in doubt, use @c YY_BUF_SIZE.
 * 
 * @return the allocated buffer state.
 */
/* %if-c-only */
    YY_BUFFER_STATE ww__create_buffer  (FILE * file, int  size )
/* %endif */
/* %if-c++-only */
/* %endif */
{
	YY_BUFFER_STATE b;
    
	b = (YY_BUFFER_STATE) ww_alloc(sizeof( struct yy_buffer_state )  );
	if ( ! b )
		YY_FATAL_ERROR( "out of dynamic memory in ww__create_buffer()" );

	b->yy_buf_size = size;

	/* yy_ch_buf has to be 2 characters longer than the size given because
	 * we need to put in 2 end-of-buffer characters.
	 */
	b->yy_ch_buf = (char *) ww_alloc(b->yy_buf_size + 2  );
	if ( ! b->yy_ch_buf )
		YY_FATAL_ERROR( "out of dynamic memory in ww__create_buffer()" );

	b->yy_is_our_buffer = 1;

	ww__init_buffer(b,file );

	return b;
}

/** Destroy the buffer.
 * @param b a buffer created with ww__create_buffer()
 * 
 */
/* %if-c-only */
    void ww__delete_buffer (YY_BUFFER_STATE  b )
/* %endif */
/* %if-c++-only */
/* %endif */
{
    
	if ( ! b )
		return;

	if ( b == YY_CURRENT_BUFFER ) /* Not sure if we should pop here. */
		YY_CURRENT_BUFFER_LVALUE = (YY_BUFFER_STATE) 0;

	if ( b->yy_is_our_buffer )
		ww_free((void *) b->yy_ch_buf  );

	ww_free((void *) b  );
}

/* Initializes or reinitializes a buffer.
 * This function is sometimes called more than once on the same buffer,
 * such as during a ww_restart() or at EOF.
 */
/* %if-c-only */
    static void ww__init_buffer  (YY_BUFFER_STATE  b, FILE * file )
/* %endif */
/* %if-c++-only */
/* %endif */

{
	int oerrno = errno;
    
	ww__flush_buffer(b );

	b->yy_input_file = file;
	b->yy_fill_buffer = 1;

    /* If b is the current buffer, then ww__init_buffer was _probably_
     * called from ww_restart() or through yy_get_next_buffer.
     * In that case, we don't want to reset the lineno or column.
     */
    if (b != YY_CURRENT_BUFFER){
        b->yy_bs_lineno = 1;
        b->yy_bs_column = 0;
    }

/* %if-c-only */

        b->yy_is_interactive = file ? (isatty( fileno(file) ) > 0) : 0;
    
/* %endif */
/* %if-c++-only */
/* %endif */
	errno = oerrno;
}

/** Discard all buffered characters. On the next scan, YY_INPUT will be called.
 * @param b the buffer state to be flushed, usually @c YY_CURRENT_BUFFER.
 * 
 */
/* %if-c-only */
    void ww__flush_buffer (YY_BUFFER_STATE  b )
/* %endif */
/* %if-c++-only */
/* %endif */
{
    	if ( ! b )
		return;

	b->yy_n_chars = 0;

	/* We always need two end-of-buffer characters.  The first causes
	 * a transition to the end-of-buffer state.  The second causes
	 * a jam in that state.
	 */
	b->yy_ch_buf[0] = YY_END_OF_BUFFER_CHAR;
	b->yy_ch_buf[1] = YY_END_OF_BUFFER_CHAR;

	b->yy_buf_pos = &b->yy_ch_buf[0];

	b->yy_at_bol = 1;
	b->yy_buffer_status = YY_BUFFER_NEW;

	if ( b == YY_CURRENT_BUFFER )
		ww__load_buffer_state( );
}

/* %if-c-or-c++ */
/** Pushes the new state onto the stack. The new state becomes
 *  the current state. This function will allocate the stack
 *  if necessary.
 *  @param new_buffer The new state.
 *  
 */
/* %if-c-only */
void ww_push_buffer_state (YY_BUFFER_STATE new_buffer )
/* %endif */
/* %if-c++-only */
/* %endif */
{
    	if (new_buffer == NULL)
		return;

	ww_ensure_buffer_stack();

	/* This block is copied from ww__switch_to_buffer. */
	if ( YY_CURRENT_BUFFER )
		{
		/* Flush out information for old buffer. */
		*(yy_c_buf_p) = (yy_hold_char);
		YY_CURRENT_BUFFER_LVALUE->yy_buf_pos = (yy_c_buf_p);
		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = (yy_n_chars);
		}

	/* Only push if top exists. Otherwise, replace top. */
	if (YY_CURRENT_BUFFER)
		(yy_buffer_stack_top)++;
	YY_CURRENT_BUFFER_LVALUE = new_buffer;

	/* copied from ww__switch_to_buffer. */
	ww__load_buffer_state( );
	(yy_did_buffer_switch_on_eof) = 1;
}
/* %endif */

/* %if-c-or-c++ */
/** Removes and deletes the top of the stack, if present.
 *  The next element becomes the new top.
 *  
 */
/* %if-c-only */
void ww_pop_buffer_state (void)
/* %endif */
/* %if-c++-only */
/* %endif */
{
    	if (!YY_CURRENT_BUFFER)
		return;

	ww__delete_buffer(YY_CURRENT_BUFFER );
	YY_CURRENT_BUFFER_LVALUE = NULL;
	if ((yy_buffer_stack_top) > 0)
		--(yy_buffer_stack_top);

	if (YY_CURRENT_BUFFER) {
		ww__load_buffer_state( );
		(yy_did_buffer_switch_on_eof) = 1;
	}
}
/* %endif */

/* %if-c-or-c++ */
/* Allocates the stack if it does not exist.
 *  Guarantees space for at least one push.
 */
/* %if-c-only */
static void ww_ensure_buffer_stack (void)
/* %endif */
/* %if-c++-only */
/* %endif */
{
	yy_size_t num_to_alloc;
    
	if (!(yy_buffer_stack)) {

		/* First allocation is just for 2 elements, since we don't know if this
		 * scanner will even need a stack. We use 2 instead of 1 to avoid an
		 * immediate realloc on the next call.
         */
		num_to_alloc = 1;
		(yy_buffer_stack) = (struct yy_buffer_state**)ww_alloc
								(num_to_alloc * sizeof(struct yy_buffer_state*)
								);
		if ( ! (yy_buffer_stack) )
			YY_FATAL_ERROR( "out of dynamic memory in ww_ensure_buffer_stack()" );
								  
		memset((yy_buffer_stack), 0, num_to_alloc * sizeof(struct yy_buffer_state*));
				
		(yy_buffer_stack_max) = num_to_alloc;
		(yy_buffer_stack_top) = 0;
		return;
	}

	if ((yy_buffer_stack_top) >= ((yy_buffer_stack_max)) - 1){

		/* Increase the buffer to prepare for a possible push. */
		int grow_size = 8 /* arbitrary grow size */;

		num_to_alloc = (yy_buffer_stack_max) + grow_size;
		(yy_buffer_stack) = (struct yy_buffer_state**)ww_realloc
								((yy_buffer_stack),
								num_to_alloc * sizeof(struct yy_buffer_state*)
								);
		if ( ! (yy_buffer_stack) )
			YY_FATAL_ERROR( "out of dynamic memory in ww_ensure_buffer_stack()" );

		/* zero only the new slots.*/
		memset((yy_buffer_stack) + (yy_buffer_stack_max), 0, grow_size * sizeof(struct yy_buffer_state*));
		(yy_buffer_stack_max) = num_to_alloc;
	}
}
/* %endif */

/* %if-c-only */
/** Setup the input buffer state to scan directly from a user-specified character buffer.
 * @param base the character buffer
 * @param size the size in bytes of the character buffer
 * 
 * @return the newly allocated buffer state object. 
 */
YY_BUFFER_STATE ww__scan_buffer  (char * base, yy_size_t  size )
{
	YY_BUFFER_STATE b;
    
	if ( size < 2 ||
	     base[size-2] != YY_END_OF_BUFFER_CHAR ||
	     base[size-1] != YY_END_OF_BUFFER_CHAR )
		/* They forgot to leave room for the EOB's. */
		return 0;

	b = (YY_BUFFER_STATE) ww_alloc(sizeof( struct yy_buffer_state )  );
	if ( ! b )
		YY_FATAL_ERROR( "out of dynamic memory in ww__scan_buffer()" );

	b->yy_buf_size = size - 2;	/* "- 2" to take care of EOB's */
	b->yy_buf_pos = b->yy_ch_buf = base;
	b->yy_is_our_buffer = 0;
	b->yy_input_file = 0;
	b->yy_n_chars = b->yy_buf_size;
	b->yy_is_interactive = 0;
	b->yy_at_bol = 1;
	b->yy_fill_buffer = 0;
	b->yy_buffer_status = YY_BUFFER_NEW;

	ww__switch_to_buffer(b  );

	return b;
}
/* %endif */

/* %if-c-only */
/** Setup the input buffer state to scan a string. The next call to ww_lex() will
 * scan from a @e copy of @a str.
 * @param yystr a NUL-terminated string to scan
 * 
 * @return the newly allocated buffer state object.
 * @note If you want to scan bytes that may contain NUL values, then use
 *       ww__scan_bytes() instead.
 */
YY_BUFFER_STATE ww__scan_string (yyconst char * yystr )
{
    
	return ww__scan_bytes(yystr,strlen(yystr) );
}
/* %endif */

/* %if-c-only */
/** Setup the input buffer state to scan the given bytes. The next call to ww_lex() will
 * scan from a @e copy of @a bytes.
 * @param yybytes the byte buffer to scan
 * @param _yybytes_len the number of bytes in the buffer pointed to by @a bytes.
 * 
 * @return the newly allocated buffer state object.
 */
YY_BUFFER_STATE ww__scan_bytes  (yyconst char * yybytes, yy_size_t  _yybytes_len )
{
	YY_BUFFER_STATE b;
	char *buf;
	yy_size_t n;
	int i;
    
	/* Get memory for full buffer, including space for trailing EOB's. */
	n = _yybytes_len + 2;
	buf = (char *) ww_alloc(n  );
	if ( ! buf )
		YY_FATAL_ERROR( "out of dynamic memory in ww__scan_bytes()" );

	for ( i = 0; i < _yybytes_len; ++i )
		buf[i] = yybytes[i];

	buf[_yybytes_len] = buf[_yybytes_len+1] = YY_END_OF_BUFFER_CHAR;

	b = ww__scan_buffer(buf,n );
	if ( ! b )
		YY_FATAL_ERROR( "bad buffer in ww__scan_bytes()" );

	/* It's okay to grow etc. this buffer, and we should throw it
	 * away when we're done.
	 */
	b->yy_is_our_buffer = 1;

	return b;
}
/* %endif */

#ifndef YY_EXIT_FAILURE
#define YY_EXIT_FAILURE 2
#endif

/* %if-c-only */
static void yy_fatal_error (yyconst char* msg )
{
    	(void) fprintf( stderr, "%s\n", msg );
	exit( YY_EXIT_FAILURE );
}
/* %endif */
/* %if-c++-only */
/* %endif */

/* Redefine yyless() so it works in section 3 code. */

#undef yyless
#define yyless(n) \
	do \
		{ \
		/* Undo effects of setting up ww_text. */ \
        int yyless_macro_arg = (n); \
        YY_LESS_LINENO(yyless_macro_arg);\
		ww_text[ww_leng] = (yy_hold_char); \
		(yy_c_buf_p) = ww_text + yyless_macro_arg; \
		(yy_hold_char) = *(yy_c_buf_p); \
		*(yy_c_buf_p) = '\0'; \
		ww_leng = yyless_macro_arg; \
		} \
	while ( 0 )

/* Accessor  methods (get/set functions) to struct members. */

/* %if-c-only */
/* %if-reentrant */
/* %endif */

/** Get the current line number.
 * 
 */
int ww_get_lineno  (void)
{
        
    return ww_lineno;
}

/** Get the input stream.
 * 
 */
FILE *ww_get_in  (void)
{
        return ww_in;
}

/** Get the output stream.
 * 
 */
FILE *ww_get_out  (void)
{
        return ww_out;
}

/** Get the length of the current token.
 * 
 */
yy_size_t ww_get_leng  (void)
{
        return ww_leng;
}

/** Get the current token.
 * 
 */

char *ww_get_text  (void)
{
        return ww_text;
}

/* %if-reentrant */
/* %endif */

/** Set the current line number.
 * @param line_number
 * 
 */
void ww_set_lineno (int  line_number )
{
    
    ww_lineno = line_number;
}

/** Set the input stream. This does not discard the current
 * input buffer.
 * @param in_str A readable stream.
 * 
 * @see ww__switch_to_buffer
 */
void ww_set_in (FILE *  in_str )
{
        ww_in = in_str ;
}

void ww_set_out (FILE *  out_str )
{
        ww_out = out_str ;
}

int ww_get_debug  (void)
{
        return ww__flex_debug;
}

void ww_set_debug (int  bdebug )
{
        ww__flex_debug = bdebug ;
}

/* %endif */

/* %if-reentrant */
/* %if-bison-bridge */
/* %endif */
/* %endif if-c-only */

/* %if-c-only */
static int yy_init_globals (void)
{
        /* Initialization is the same as for the non-reentrant scanner.
     * This function is called from ww_lex_destroy(), so don't allocate here.
     */

    /* We do not touch ww_lineno unless the option is enabled. */
    ww_lineno =  1;
    
    (yy_buffer_stack) = 0;
    (yy_buffer_stack_top) = 0;
    (yy_buffer_stack_max) = 0;
    (yy_c_buf_p) = (char *) 0;
    (yy_init) = 0;
    (yy_start) = 0;

/* Defined in main.c */
#ifdef YY_STDINIT
    ww_in = stdin;
    ww_out = stdout;
#else
    ww_in = (FILE *) 0;
    ww_out = (FILE *) 0;
#endif

    /* For future reference: Set errno on error, since we are called by
     * ww_lex_init()
     */
    return 0;
}
/* %endif */

/* %if-c-only SNIP! this currently causes conflicts with the c++ scanner */
/* ww_lex_destroy is for both reentrant and non-reentrant scanners. */
int ww_lex_destroy  (void)
{
    
    /* Pop the buffer stack, destroying each element. */
	while(YY_CURRENT_BUFFER){
		ww__delete_buffer(YY_CURRENT_BUFFER  );
		YY_CURRENT_BUFFER_LVALUE = NULL;
		ww_pop_buffer_state();
	}

	/* Destroy the stack itself. */
	ww_free((yy_buffer_stack) );
	(yy_buffer_stack) = NULL;

    /* Reset the globals. This is important in a non-reentrant scanner so the next time
     * ww_lex() is called, initialization will occur. */
    yy_init_globals( );

/* %if-reentrant */
/* %endif */
    return 0;
}
/* %endif */

/*
 * Internal utility routines.
 */

#ifndef yytext_ptr
static void yy_flex_strncpy (char* s1, yyconst char * s2, int n )
{
	register int i;
	for ( i = 0; i < n; ++i )
		s1[i] = s2[i];
}
#endif

#ifdef YY_NEED_STRLEN
static int yy_flex_strlen (yyconst char * s )
{
	register int n;
	for ( n = 0; s[n]; ++n )
		;

	return n;
}
#endif

void *ww_alloc (yy_size_t  size )
{
	return (void *) malloc( size );
}

void *ww_realloc  (void * ptr, yy_size_t  size )
{
	/* The cast to (char *) in the following accommodates both
	 * implementations that use char* generic pointers, and those
	 * that use void* generic pointers.  It works with the latter
	 * because both ANSI C and C++ allow castless assignment from
	 * any pointer type to void*, and deal with argument conversions
	 * as though doing an assignment.
	 */
	return (void *) realloc( (char *) ptr, size );
}

void ww_free (void * ptr )
{
	free( (char *) ptr );	/* see ww_realloc() for (char *) cast */
}

/* %if-tables-serialization definitions */
/* %define-yytables   The name for this specific scanner's tables. */
#define YYTABLES_NAME "yytables"
/* %endif */

/* %ok-for-header */

#line 252 "web.l"




